Mailinglist Archive: opensuse-factory (930 mails)

< Previous Next >
[opensuse-factory] Leap 15.0 Build 219.1 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&version=15.0&build=219.1&groupid=50
https://bugzilla.opensuse.org/buglist.cgi?product=openSUSE%20Distribution&query_format=advanced&resolution=---&version=Leap%2015.0

When you reply to discuss some issues, make sure to change the subject.
Please use the test plan at
https://docs.google.com/spreadsheets/d/1AGKijKpKiJCB616-bHVoNQuhWHpQLHPWCb3m1p6gXPc/edit#gid=168760829
to record your testing efforts and use bugzilla to report bugs.

Packages changed:
apache2 (2.4.29 -> 2.4.33)
biosdevname
desktop-translations (84.87.20180416.e6c83e49 -> 84.87.20180423.2e342f3a)
device-mapper
efibootmgr
fwupd (1.0.2 -> 1.0.6)
gnome-keyring
kernel-source
less
libglvnd (0.1.2~20170620~d850cdd -> 1.0.0)
lvm2
openconnect
patterns-base
php7
plymouth
shim (0.9 -> 14)
sushi (3.24.0 -> 3.28.3)
system-config-printer

=== Details ===

==== apache2 ====
Version update (2.4.29 -> 2.4.33)
Subpackages: apache2-prefork apache2-utils

- SSLProtocol TLSv1.2 [bsc#1086854]

==== biosdevname ====

- Use %license instead of %doc [bsc#1082318]

==== desktop-translations ====
Version update (84.87.20180416.e6c83e49 -> 84.87.20180423.2e342f3a)

- Update to version 84.87.20180423.2e342f3a:
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Italian)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)

==== device-mapper ====
Subpackages: libdevmapper-event1_03 libdevmapper1_03 libdevmapper1_03-32bit

- Fix handling of udev CHANGE events with systemd (bsc#1067312)
+ lvm2-69-dm-lvm-metad.rules-explicit-pvscan-rule.patch
+ lvm2-69-dm-lvm-metad.rules-set-systemd-vars-on-chang.patch

==== efibootmgr ====

- Use %license instead of %doc [bsc#1082318]

==== fwupd ====
Version update (1.0.2 -> 1.0.6)

- Update hasbang in installed files from /usr/bin/env python3 to
/usr/bin/python3.
- Update url
- Small packaging cleanup with spec-cleaner
- Update to version 1.0.6:
+ New Features:
- Add bash completion for fwupdmgr.
- Add support for newest Thunderbolt chips.
- Allow all functions that take device arguments to be
prompted.
- Allow devices to use the runtime version when in bootloader
mode.
- Allow overriding ESP mount point via conf file.
- Delete any old fwupdate capsules and efivars when launching
fwupd.
- Generate Vala bindings.
+ Bugfixes:
- Allow ctrl-d out of the prompt for devices.
- Allow to create package out of provided binary.
- Correct handling of unknown Thunderbolt devices.
- Correctly detect new remotes that are manually copied.
- Fix a crash related to when passing device to downgrade in
CLI.
- Fix running the self tests when no fwupd is installed.
- Fix Unifying signature writing and parsing for Texas
bootloader.
- Only send success and failure reports to the server.
- Use a CNAME to redirect to the correct CDN for metadata.
- Use a longer timeout when powering back the Thunderbolt
device.
- Ensure library package has a dependency on main package,
otherwise it won't be usable.
- Update to version 1.0.5:
+ New Features:
- Offer to reboot when processing an offline update.
- Report the efivar, libsmbios and fwupdate library versions.
- Report Thunderbolt safe mode and SecureBoot status.
- Show the user a URL when they report a known problem.
- Support split cabinet archives as produced by Windows Update.
+ Bugfixes:
- Be more careful deleting and modifying device history.
- Clarify which devices don't have upgrades.
- Ensure the Thunderbolt version is xx.yy.
- Fix a daemon warning when using fwupdmgr get-results.
- Fix crasher with MST flashing.
- Fix DFU detach with newer releases of libusb.
- Include the device VID and PID when generating the device-id.
- Set the RemoteId when using GetDetails.
- Stop matching 8bitdo DS4 controller VID/PID.
- Use help2man for dfu-tool and drop docbook dependencies.
- Use ngettext for any strings with plurals.
- Use the default value if ArchiveSizeMax is unspecified.
- Update to version 1.0.4:
+ New Features:
- Add D-Bus methods to get and modify the history information.
- Allow the user to share firmware update success or failure.
- Ask the user to refresh metadata when it is very old.
- Store firmware update success and failure to a local
database.
+ Bugfixes:
- Add a device name for locked UEFI devices.
- Allow each plugin to opt-in to the recoldplug action.
- Fix firmware downloading using gnome-software.
- Fix UX capsule reference to the one specified in efivar.
- Never add two devices to the daemon with the same ID.
- Rescan supported flags when refreshing metadata.
- Add pkgconfig(json-glib-1.0) BuildRequires: new dependency.
- Update to version 1.0.3:
+ New Features:
- Add a new plugin to add support for CSR "Driverless DFU".
- Add initial SF30/SN30 Pro support.
- Support AppStream metadata with relative <location> URLs.
+ Bugfixes:
- Add more metadata to the user-agent string.
- Block owned Dell TPM updates.
- Choose the correct component from provides matches using
requirements.
- Do not try to parse huge compressed archive files.
- Fix a double-free bug in the Udev code.
- Handle Thunderbolt "native" mode.
- Use the new functionality in libgcab >= 1.0 to avoid writing
temp files.

==== gnome-keyring ====
Subpackages: gnome-keyring-lang gnome-keyring-pam libgck-modules-gnome-keyring

- Update gnome-keyring-bsc932232-use-libgcrypt-allocators.patch
to allow using more memory than the maximum lockable amount
(bsc#1085983).

==== kernel-source ====

- powerpc/pseries: Restore default security feature flags on setup
(bsc#1068032).
Refresh
patches.arch/powerpc-64s-barrier_nospec-Add-hcall-trigger.patch.
- commit ff6c8ce
- Refresh patches.drivers/scsi-lpfc-fix-wq-cq-creation-for-older-asic-s.patch.
fix commit hash
- commit bbbc951
- btrfs: Fix race condition between delayed refs and blockgroup
removal (bsc#1086224).
- commit ff195d7
- Refresh

patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- commit c920800
- Refresh

patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- Refresh
patches.drivers/scsi-lpfc-fix-wq-cq-creation-for-older-asic-s.patch.
- commit 853016c
- kabi/severities: Ignore klp_shadow_* kABI changes
- commit a1324c3
- livepatch: Allow to call a custom callback when freeing shadow
variables (bsc#1071995 fate#323487).
- commit add477a
- livepatch: Initialize shadow variables safely by a custom
callback (bsc#1071995 fate#323487).
- commit ae78a45
- Refresh

patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- commit 98517c6
- btrfs: push relocation recovery into a helper thread
(bsc#1086467).
- commit 37d11e6
- nvme-rdma: Don't flush delete_wq by default during remove_one
(bsc#1089977).
- commit c185cad
- nvmet-rdma: Don't flush system_wq by default during remove_one
(bsc#1089977).
- commit 902e88b
- supported.conf: add arch/s390/crypto/crc32-vx_s390 (bsc#1089889).
- commit 3e7cb03
- x86/mm/64: Fix vmapped stack syncing on very-large-memory
4-level systems (bsc#1088374).
- commit 2ccb700
- Sort series.conf
- Refresh

patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- commit 5e8c6bc
- ibmvnic: Clear pending interrupt after device reset
(bsc#1089644).
- commit 7d7ebab
- sched/rt: Fix rq->clock_update_flags < RQCF_ACT_SKIP warning (bsc#1022476).
- commit 6643f8c
- run series_sort.py
- commit 5f59a40
- virtio_net: fix return value check in receive_mergeable()
(bsc#1089271).
- commit e169907
- Re-sorted patches
- Refresh

patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- commit 18304f1
- Revert "scsi: make 'state' device attribute pollable"
(bsc#1085341).
- commit aab4000
- Refresh

patches.apparmor/apparmor-fix-resource-audit-messages-when-auditing-peer.patch.
- Refresh
patches.drivers/ibmvnic-Do-not-reset-CRQ-for-Mobility-driver-resets.patch.
- Refresh patches.drivers/ibmvnic-Fix-DMA-mapping-mistakes.patch.
- Refresh
patches.drivers/ibmvnic-Fix-failover-case-for-non-redundant-configur.patch.
- Refresh
patches.drivers/ibmvnic-Fix-reset-scheduler-error-handling.patch.
- Refresh
patches.drivers/ibmvnic-Zero-used-TX-descriptor-counter-on-reset.patch.
- commit 30e2159
- ibmvnic: Do not notify peers on parameter change resets
(bsc#1089198).
- ibmvnic: Handle all login error conditions (bsc#1089198).
- ibmvnic: Define vnic_login_client_data name field as unsized
array (bsc#1089198).
- commit 6882e8d
- kabi: arm64: update crc for cpu_hwcaps and cpu_hwcap_keys
References: bsc#1089086
- commit e99d689
- mmc: dw_mmc: Fix the DTO/CTO timeout overflow calculation for
32-bit systems (bsc#1088713).
- commit 0b4165d
- kabi: arm64: reserve space in cpu_hwcaps and cpu_hwcap_keys
arrays (bsc#1089086).
- KVM: arm64: Fix HYP idmap unmap when using 52bit PA
(bsc#1089074).
- ipmi_ssif: Fix kernel panic at msg_done_handler (bsc#1088872).
- commit 8c1d75d
- ima: Add cgroups2 to the defaults list (bsc#1073915).
- commit aa0be85
- Update config files. (fate#321934)
- commit 15c0ffc
- bpf: skip unnecessary capability check (bsc#1083647).
- bpf, x64: increase number of passes (bsc#1083647).
- bpf: fix corruption on concurrent perf_event_output calls
(bsc#1083647).
- bpf: avoid excessive stack usage for perf_sample_data
(bsc#1083647).
- commit 22e80bf
- scsi: lpfc: Fix WQ/CQ creation for older asic's (bsc#1085241).
- commit d8f53e9
- Add mkp's queue to git_sort.py
- commit 96f199e
- Refresh
patches.arch/KVM-PPC-Book3S-HV-Work-around-TEXASR-bug-in-fake-sus.patch.
- Refresh
patches.arch/KVM-PPC-Book3S-HV-Work-around-XER-SO-bug-in-fake-sus.patch.
- Refresh
patches.arch/KVM-PPC-Book3S-HV-Work-around-transactional-memory-b.patch.
- Refresh
patches.arch/PCI-hotplug-ppc-correct-a-php_slot-usage-after-free.patch.
- Refresh
patches.arch/cxl-Check-if-PSL-data-cache-is-available-before-issu.patch.
- Refresh
patches.arch/cxl-Enable-NORST-bit-in-PSL_DEBUG-register-for-PSL9.patch.
- Refresh
patches.arch/cxl-Fix-possible-deadlock-when-processing-page-fault.patch.
- Refresh
patches.arch/cxl-Fix-timebase-synchronization-status-on-P9.patch.
- Refresh
patches.arch/cxl-Remove-function-write_timebase_ctrl_psl9-for-PSL.patch.
- Refresh
patches.arch/cxl-read-PHB-indications-from-the-device-tree.patch.
- Refresh
patches.arch/powerpc-64-Call-H_REGISTER_PROC_TBL-when-running-as-.patch.
- Refresh
patches.arch/powerpc-64s-Enhance-the-information-in-cpu_show_melt.patch.
- Refresh patches.arch/powerpc-64s-Move-cpu_show_meltdown.patch.
- Refresh
patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v1.patch.
- Refresh
patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v2.patch.
- Refresh
patches.arch/powerpc-Add-CPU-feature-bits-for-TM-bug-workarounds-.patch.
- Refresh
patches.arch/powerpc-Add-security-feature-flags-for-Spectre-Meltd.patch.
- Refresh
patches.arch/powerpc-Book-E-Remove-unused-CPU_FTR_L2CSR-bit.patch.
- Refresh
patches.arch/powerpc-Free-up-CPU-feature-bits-on-64-bit-machines.patch.
- Refresh
patches.arch/powerpc-Move-default-security-feature-flags.patch.
- Refresh
patches.arch/powerpc-Remove-unused-flush_dcache_phys_range.patch.
- Refresh
patches.arch/powerpc-Rename-plapr-routines-to-plpar.patch.
- Refresh
patches.arch/powerpc-Use-feature-bit-for-RTC-presence-rather-than.patch.
- Refresh
patches.arch/powerpc-kexec_file-Fix-error-code-when-trying-to-loa.patch.
- Refresh
patches.arch/powerpc-lpar-debug-Initialize-flags-before-printing-.patch.
- Refresh
patches.arch/powerpc-mm-Drop-the-function-native_register_proc_ta.patch.
- Refresh
patches.arch/powerpc-mm-slice-Remove-intermediate-bitmap-copy.patch.
- Refresh
patches.arch/powerpc-powernv-Fix-SMT4-forcing-idle-code.patch.
- Refresh
patches.arch/powerpc-powernv-Provide-a-way-to-force-a-core-into-S.patch.
- Refresh
patches.arch/powerpc-powernv-Set-or-clear-security-feature-flags.patch.
- Refresh
patches.arch/powerpc-powernv-Use-the-security-flags-in-pnv_setup_.patch.
- Refresh
patches.arch/powerpc-pseries-Add-new-H_GET_CPU_CHARACTERISTICS-fl.patch.
- Refresh
patches.arch/powerpc-pseries-Fix-clearing-of-security-feature-fla.patch.
- Refresh
patches.arch/powerpc-pseries-Set-or-clear-security-feature-flags.patch.
- Refresh
patches.arch/powerpc-pseries-Use-the-security-flags-in-pseries_se.patch.
- Refresh
patches.arch/powerpc-rfi-flush-Always-enable-fallback-flush-on-ps.patch.
- Refresh
patches.arch/powerpc-rfi-flush-Call-setup_rfi_flush-after-LPM-mig.patch.
- Refresh
patches.arch/powerpc-rfi-flush-Differentiate-enabled-and-patched-.patch.
- Refresh
patches.arch/powerpc-rfi-flush-Make-it-possible-to-call-setup_rfi.patch.
- Refresh
patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
- Refresh
patches.arch/powerpc-xmon-Clear-all-breakpoints-when-xmon-is-disa.patch.
- Refresh
patches.arch/powerpc-xmon-Setup-debugger-hooks-when-first-break-p.patch.
- Refresh
patches.suse/suse-hv-PCI-hv-Fix-2-hang-issues-in-hv_compose_msi_msg.patch.
- Refresh

patches.suse/suse-hv-PCI-hv-Fix-a-comment-typo-in-_hv_pcifront_read_confi.patch.
- Refresh

patches.suse/suse-hv-PCI-hv-Only-queue-new-work-items-in-hv_pci_devices_p.patch.
- Refresh

patches.suse/suse-hv-PCI-hv-Remove-the-bogus-test-in-hv_eject_device_work.patch.
- Refresh
patches.suse/suse-hv-PCI-hv-Serialize-the-present-and-eject-work-items.patch.
- commit d96e797
- usb: dwc3: Fix lock-up on ID change during system suspend/resume
(bsc#1087092).
- commit d535713
- Refresh
patches.arch/KVM-PPC-Book3S-HV-Work-around-TEXASR-bug-in-fake-sus.patch.
- Refresh
patches.arch/KVM-PPC-Book3S-HV-Work-around-XER-SO-bug-in-fake-sus.patch.
- Refresh
patches.arch/KVM-PPC-Book3S-HV-Work-around-transactional-memory-b.patch.
- Refresh
patches.arch/PCI-hotplug-ppc-correct-a-php_slot-usage-after-free.patch.
- Refresh
patches.arch/cxl-Check-if-PSL-data-cache-is-available-before-issu.patch.
- Refresh
patches.arch/cxl-Enable-NORST-bit-in-PSL_DEBUG-register-for-PSL9.patch.
- Refresh
patches.arch/cxl-Fix-possible-deadlock-when-processing-page-fault.patch.
- Refresh
patches.arch/cxl-Fix-timebase-synchronization-status-on-P9.patch.
- Refresh
patches.arch/cxl-Remove-function-write_timebase_ctrl_psl9-for-PSL.patch.
- Refresh
patches.arch/cxl-read-PHB-indications-from-the-device-tree.patch.
- Refresh
patches.arch/powerpc-64-Call-H_REGISTER_PROC_TBL-when-running-as-.patch.
- Refresh
patches.arch/powerpc-64s-Enhance-the-information-in-cpu_show_melt.patch.
- Refresh patches.arch/powerpc-64s-Move-cpu_show_meltdown.patch.
- Refresh
patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v1.patch.
- Refresh
patches.arch/powerpc-64s-Wire-up-cpu_show_spectre_v2.patch.
- Refresh
patches.arch/powerpc-Add-CPU-feature-bits-for-TM-bug-workarounds-.patch.
- Refresh
patches.arch/powerpc-Add-security-feature-flags-for-Spectre-Meltd.patch.
- Refresh
patches.arch/powerpc-Book-E-Remove-unused-CPU_FTR_L2CSR-bit.patch.
- Refresh
patches.arch/powerpc-Free-up-CPU-feature-bits-on-64-bit-machines.patch.
- Refresh
patches.arch/powerpc-Move-default-security-feature-flags.patch.
- Refresh
patches.arch/powerpc-Remove-unused-flush_dcache_phys_range.patch.
- Refresh
patches.arch/powerpc-Rename-plapr-routines-to-plpar.patch.
- Refresh
patches.arch/powerpc-Use-feature-bit-for-RTC-presence-rather-than.patch.
- Refresh
patches.arch/powerpc-kexec_file-Fix-error-code-when-trying-to-loa.patch.
- Refresh
patches.arch/powerpc-lpar-debug-Initialize-flags-before-printing-.patch.
- Refresh
patches.arch/powerpc-mm-Drop-the-function-native_register_proc_ta.patch.
- Refresh
patches.arch/powerpc-mm-slice-Remove-intermediate-bitmap-copy.patch.
- Refresh
patches.arch/powerpc-powernv-Fix-SMT4-forcing-idle-code.patch.
- Refresh
patches.arch/powerpc-powernv-Provide-a-way-to-force-a-core-into-S.patch.
- Refresh
patches.arch/powerpc-powernv-Set-or-clear-security-feature-flags.patch.
- Refresh
patches.arch/powerpc-powernv-Use-the-security-flags-in-pnv_setup_.patch.
- Refresh
patches.arch/powerpc-pseries-Add-new-H_GET_CPU_CHARACTERISTICS-fl.patch.
- Refresh
patches.arch/powerpc-pseries-Fix-clearing-of-security-feature-fla.patch.
- Refresh
patches.arch/powerpc-pseries-Set-or-clear-security-feature-flags.patch.
- Refresh
patches.arch/powerpc-pseries-Use-the-security-flags-in-pseries_se.patch.
- Refresh
patches.arch/powerpc-rfi-flush-Always-enable-fallback-flush-on-ps.patch.
- Refresh
patches.arch/powerpc-rfi-flush-Call-setup_rfi_flush-after-LPM-mig.patch.
- Refresh
patches.arch/powerpc-rfi-flush-Differentiate-enabled-and-patched-.patch.
- Refresh
patches.arch/powerpc-rfi-flush-Make-it-possible-to-call-setup_rfi.patch.
- Refresh
patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
- Refresh
patches.arch/powerpc-xmon-Clear-all-breakpoints-when-xmon-is-disa.patch.
- Refresh
patches.arch/powerpc-xmon-Setup-debugger-hooks-when-first-break-p.patch.
- Refresh
patches.suse/suse-hv-PCI-hv-Fix-2-hang-issues-in-hv_compose_msi_msg.patch.
- Refresh

patches.suse/suse-hv-PCI-hv-Fix-a-comment-typo-in-_hv_pcifront_read_confi.patch.
- Refresh

patches.suse/suse-hv-PCI-hv-Only-queue-new-work-items-in-hv_pci_devices_p.patch.
- Refresh

patches.suse/suse-hv-PCI-hv-Remove-the-bogus-test-in-hv_eject_device_work.patch.
- Refresh
patches.suse/suse-hv-PCI-hv-Serialize-the-present-and-eject-work-items.patch.
Linus has pulled. Take over the ordering.
- commit 1ad4e83
- blacklist.conf: not a bug fix, optimization
- commit 5e5824b
- blacklist.conf: cosmetic issue
- commit 4b47d7a
- Update config files, enable CONFIG_SMARTPQI on arm64 (bsc#1088634).
- commit fb9aa6d
- ibmvnic: Do not reset CRQ for Mobility driver resets
(bsc#1088600).
- ibmvnic: Fix failover case for non-redundant configuration
(bsc#1088600).
- ibmvnic: Fix reset scheduler error handling (bsc#1088600).
- ibmvnic: Zero used TX descriptor counter on reset (bsc#1088600).
- ibmvnic: Fix DMA mapping mistakes (bsc#1088600).
- commit ec5530d
- ibmvnic: Disable irqs before exiting reset from closed state
(bsc#1084610).
- commit 3658918
- Update kabi files from RC3 submission.
- commit 43a8c6f
- add mainline tag to various patches to be able to get further work done
- commit 500958e
- futex: Fix OWNER_DEAD fixup (bsc#1067665).
- futex: Avoid violating the 10th rule of futex (bsc#1067665).
- commit 820eb95
- run series_sort.py
- commit 9b0b8df

==== less ====

- Use %license instead of %doc [bsc#1082318]

==== libglvnd ====
Version update (0.1.2~20170620~d850cdd -> 1.0.0)

- update to release 1.0.0
* Now that both the EGL and GLX interfaces are defined and stable,
set the package version to 1.0.0.
* Changes
+ GLX: Fix an error in handling GLX dispatch stubs.
+ EGL: Fix handling a malloc failure in eglQueryString.
+ GLdispatch: Clean up the assembly dispatch code.
+ GLdispatch aarch64: Align the dispatch stubs to a 64K page size.
+ Fix typo in _LIBRARY_FEATURE_NAMES.
+ Merge pull request #131 from michalsrb/fix-missing-gles-symbols
+ Merge branch 'fix-aarch64-page-size'
+ Convert lq/stq instructions
+ Merge pull request #125 from kbrenneman/ppc64le-convert-lq-stq
+ Don't #define USE_ASM (defined(USE_X86_ASM) || ... )
+ Remove -Wno-misleading-indentation
+ Remove the cJSON README and tests
+ Update cJSON to version 1.5.9
+ Merge pull request #135 from aaronp24/remove-misleading-indentation
+ Fix memory leak in LoadVendorsFromConfigDir
+ Cleanup winsys dispatch index list on EGL mapping teardown
+ Merge pull request #137 from polarina/memleak
+ Set package version to 1.0.0.
- supersedes U_Fix-typo-in-LIBRARY_FEATURE_NAMES.patch

==== lvm2 ====
Subpackages: liblvm2app2_2 liblvm2cmd2_02

- Fix handling of udev CHANGE events with systemd (bsc#1067312)
+ lvm2-69-dm-lvm-metad.rules-explicit-pvscan-rule.patch
+ lvm2-69-dm-lvm-metad.rules-set-systemd-vars-on-chang.patch

==== openconnect ====
Subpackages: openconnect-lang

- Add BuildRequires pkgconfig(libpcsclite/libpskc) to enable
liboath (TOTP/HOTP) and yubikey support.

==== patterns-base ====
Subpackages: patterns-base-32bit patterns-base-apparmor
patterns-base-apparmor_opt patterns-base-base patterns-base-basesystem
patterns-base-console patterns-base-enhanced_base
patterns-base-enhanced_base-32bit patterns-base-enhanced_base_opt
patterns-base-minimal_base patterns-base-minimal_base-32bit
patterns-base-sw_management patterns-base-transactional_base
patterns-base-update_test patterns-base-x11 patterns-base-x11_enhanced
patterns-base-x11_opt

- Rename readonly_root_tools to transactional_base (boo#1089095)
- Correct transactional server role pattern to use enhanced_base
(boo#1088884)
- Do not recommends on SLE patterns which aren't shipped on SLE.
- Ensure recommends on ntfs-3g and ntfsprogs are enabled on SLE
(bsc#1087242).
- drop patterns-base-32bit pattern for s390 and s390x [bsc#1088669]
- re-run create_32bit-patterns_file.pl
- Don't install systemd-coredump by default on Leap (bsc#1083849)
- Add systemd-coredump to the list of recommended packages of miminal_base
Latest systemd package splitted off its coredump management facility
into a sub-package. Recommend this package so this functionnality is
still available by default on SLE (but will be disabled on Leap, see
bsc#1083849).
Also give the possibility to block it by using a soft dep
(Recommends:). This might be needed on live images for example where
space is rather low.
- Remove grub varients from patterns bsc#1064265
- added timezone as recommended to minimal_base pattern
[bsc#1085075]
- ethtool is available on SLE 15, moving out of "opensuse only"
section [bsc#1087354]
- Don't install rollback helper on openSUSE (See why is this even
in here.... thread on openSUSE project mailing list) boo#1086584
- add lightdm as a recommends to x11 pattern boo#1081760
- regenerate 32bit patterns
- Don't generate 32bit patterns for readonly_root_tools
- Introduce readonly_root_tools pattern for Read-Only Root
Filesystem (boo#1084149)
- put cron in base system (bsc#1072602)
- fix pattern names packgeand() lines of 32bit patterns (bsc#1079353)
- put chrony in base system (bsc#1072351)
- fix pattern() provides to use %2d instead of dash to avoid rpm
parsing the string as name-version (bsc#1079353)
- don't recommend insserv-compat as anything sysvinit is obsolete
- Don't require apparmor-docs, only recommend it
- Require xorg-x11-fonts-core instead of xorg-x11-fonts
- Don't require xorg-x11, only recommend it
- Add lshw
- lsvpd is only relevant on ppc systems
- Provide chrony in base patterns (bsc#1072351, fate#323432)
- Install pp64-diag and lsvpd by default (bsc#1072351)
- Regenerate 32bit patterns
- Ensure xorg-x11-driver-input is required for x11 pattern, except
on s390/390x where it doesn't exist.
- Version: 20171206
- Add obsoletes across all patterns (bsc#1071761)
- Fix the formatting mess spec cleaner reintroduced (again)
- Recommends plymouth on SLE (bsc#1067481).
- Add create_32bit-patterns_file.pl as source
- guard some sle specifics with %is_opensuse
- Ensure openSUSE patterns aren't provided / obsoletes when
building for SLE.
- Add Recommend to enhanced_base: OpenIPMI bash-completion cpp
cryptconfig expect ipmitool lvm2 m4 make mksh mutt quota
supportutils sysfsutils tcsh w3m lsof psmisc sudo.
- Add grub2-branding-SLE recommends on enhanced_base on SLE.
- Fix description of minimal_base on SLE.
- Remove salt-minion from base [bsc#1064266]
- minimal_base doesn't need to be visable in yast
- Basesystem and Documentation don't need 32bit patterns
- Regenerate 32bit patterns
- Move tar to minimal pattern, too many low level tools assume
tar is installed by default
- Recommend glibc-locale from minimal_base not enhanced_base,
we install in en_US, so we need a locale one way or the other.
Requiring it from enhanced_base now to make sure it's part of
regular installations (but can be disabled for e.g. chroots
with C locale - bsc#1057377)
- base pattern now obsoletes and provides Minimal to make
SLES-12 upgrades smoother (bsc#1062164)
- x11_enhanced pattern now obsoletes and provides Minimal to make
SLED-12 upgrades smoother (bsc#1062164)
- Source pattern-definition-32bit.txt correctly
- Do not provide x11 in x11_enhanced but require it
- Move basic X11 apps to x11 pattern and Firefox to x11_enhanced
- Remove tcl and tk from default installation
- Rename xterm-bin back to xterm, we still have xterm.rpm
- Remove libnss_compat2 (dropped, still part of glibc) and
libnss_nis2 (needs to be together with ypbind)
- Remove again added pam-modules, this package deprecated since
many years.
- Bring back in other patterns, from sle
* console
* enhanced_base
* enhanced_base_opt
* sw_management
- Update enhanced_base and x11_enhanced based off SLES minimal and x11_enhanced
patterns
- Split the following patterns into patterns-enhanced-base
* console
* enhanced_base
* enhanced_base_opt
* sw_management
- Remove minimal_base_conflicts (not in SLE we can probably live without)
- Major changes to X11 package, to line up with SLES, new package will be
added in patterns-enhanced-base to keep openSUSE/SLED compaitible
- Add documentation from SLE
- Copy 32bit support from SLE (x86 package removed)
- slight change to apparmor packages to match sle
- recommend salt-minion only on SLE
- Remove ppc only requires from base
- set many *_opt patterns to only build on openSUSE
- Add some is_opensuse sections for packages not in SLE
- Move certain packages from * to *_opt when they are not in SLE
* x11
* xorg-x11-libX11-ccache
* xorg-x11-driver-video-radeonhd
* xorg-x11-driver-video-unichrome
* xterm (xterm-bin added in place)
* x11-tools
- Move packages from x11-opt to x11 so x11-opt is openSUSE only
* tk
* xtermset
- Rework of enhanced_base
* Move from enhanced_base to enhanced_base_opt
* Move from enhanced_base_opt to enhanced_base
* cpupower
* smartmontools
* screen
* xz (now recommended rather then suggested)
* rsync
* haveged
* mcelog
* zip
* initviocons
* zisofs-tools
* irqbalance
* pam_ssh
* xfsprogs
* dos2unix
* Move or remove the following packages to console
* lynx
* at
* bc
* ed
* w3m
- Remove certain packages from patterns where they are not shipped
in SLE15
* minimal_base
* insserv
* base
* systemd-logger
* console
* makedev
* par
* enhanced_base / enhanced_base_opt
* db-utils
* jfsutils
* libatm1
* lsb-release
* ppp
* pptp
* utempter (only lib in factory)
* reiserfs
* ypbind
* yptools
* x11
* freeglut (dropped from factory)
* fvwm2
* fvwm-themes
* gv
* mmv
* pmidi
* suspend
* xorg-x11-driver-input (compatability meta package)
* xine-ui
* xosd
* xosview
* xpdf-poppler (dropped from factory)
* wine
* x11_opt
* freeglut (dropped from factory)
- Remove the 32 and 64bit patterns
- move ntp work around for boo#936378 to patterns-yast
- remove systemd from enhanced_base_opt (already included elsewhere)
- swap SuSEfirewall2 to firewalld following SLE-15
- no longer recommend alternate shells (users who want to change know how to
install them)
* ksh
* tcsh
* zsh
- Recommend nano in enhanced_base boo#1034493
- Console pattern only recommends things not requires them
- tgt removed (in yast where it shoud be)
- open-iscsi just needs to be in the media patterns boo#393589
- Add libnss_compat2 and libnss_nis2 to minimal_base: they were
integrated into glibc before.
- Introduce a wrapper pattern 'basesystem'. One pattern cannot
provide two names. This is likely to disappear soon again, but
helps for an easier migration/cleanup run (and fixes
boo#1049997).
- Move glibc-32bit and glibc-locale-32bit recommends from
base_enhanced to x86 (boo#947161).
- No longer recommend nss-mdns-32bit by the x11 pattern.
- Mark 64bit pattern as invisible.
- Make pattern minimal_base visible: there are quire some scripts
relying on this to install containers.
- Drop sash recommends: sash is being removed from Tumbleweed.
- Drop xinetd from patterns as if someone really needs it they should
rather pick it up. Today soultion for the problem is the systemd
socket service.
- Rename pattern minimal_base-conflicts to minimal_base_conflicts:
we fall into a neat trap with
Provides: pattern() = minimal_base-conflicts
As this is translated to RPM lingo, meaning 'minimal_base' is the
'version' and 'conflicts' the 'release'; so anything requiring
pattern() = minimal_base is satisfied by minimal_base-conflicts
directly too (boo#1043348).
- Recommend zypper-lifecycle-plugin in sw_management for stable
distributions
- Proper fixes for the last change re generic_server,
* console should require enhanced_base so its functionally the
same as x11
* base should require minimal_base
* remove the following from base again as they are in minimal base
* openSUSE-build-key
* openSUSE-release
* rpm
* other minor tidyup's
- Re-introduce generic_server pattern: it requires minimal_base and
basesystem (including zypper) and recommends yast2_basis. The
use of the 'pure' console pattern did not work out as expected:
none of the management tools are part of the generic console
toolset (which is correct).
- Add system users and groups to minimal_base
- Compact %install routine; replace old RPM shell vars by macros.
- Do not require autoyast2 by base pattern.
- Do not install salt-minion on every machine possible. This does
belong to machines that are managed by salt, which is for larger
setups. 'Common' installs won't need this.
- Create new base split package from old package
- Macros split into patterns-rpm-macros package
- Implement changes for the pattern split without actually
splitting
* Remove the following patterns.
* devel_ide
* devel_qt4
* misc_server
* remote_desktop
* voip
* rest_dvd9
* rest_promo_dvd
* generic_server (merged into console)
* tabletpc
* Minimal-Base, Base and Enhanced Base refactored to be closer
to how they appear in SLE.
* command-not-found and susepaste added to console and x11
patterns as recmmends, this was requested by those providing
opensuse support.
- Require dbus(org.freedesktop.Notifications) in mate_basis: a
notification daemon is a must.
- Recommend mate-notification-daemon in mate_basis as a preferred
option.
- Suggest linphone instead of ekiga in mate_internet.
- Replace kwrite with kate
- Replace mozilla-kde4-integration with kmozillahelper
- Bump version to 20170206.
- Replace liberation-fonts with liberation2-fonts Recommends: With
the current freetype2 we have in Tumbleweed, liberation2-fonts is
more visually pleasing.
- Drop devel_java pattern from the DVD: space constrains call for
this action. The pattern of course stays available in the repos.
- Drop gsynaptics Recommends from XFCE and LXDE patterns
(boo#1010202):
This drags xf86-input-synaptics and blocks the libinput usage as
a consequence although we've already wanted to move to libinput.
- Drop gnome-nettool Recommends from patterns-openSUSE-gnome and
patterns-openSUSE-gnome_internet. Gnome-nettool is deprecated
upstream and is no longer a package we want to install by
default.
- Remove konqueror references from patterns, one browser in the
default installation is enough
- Remove non_oss from the recommends of GNOME, KDE & MATE patterns
- Major cosmetic cleanup, No functional changes. Changes found by
running zypper --whatprovides on each name listed in the pattern
then fixing the differences.
* Update packages that have been renamed
* Drop packages that have been absorbed into other packages
- Fix spelling of Enlightenment boo#1010967
- Recommend kdeconnect-kde in the kde_plasma pattern. This plasma
widget adds a lot to the user experience.
- Drop aisleriot from recommended packages. App still depends on
gconf, and we do not want to pull in gconf just for a game by
default.
- The DVD is exploding in size:
+ Drop devel_qt4 pattern from the DVD; the world has moved to
Qt5. The pattern stays available in the online repos.
+ Drop the devel_gnome pattern: serious GNOME devs won't be using
this from the DVD: most rely on jhbuild or at least on the
content of the online repo.
- boo#1005324: adding pavucontrol-qt without pulseaudio does not
make sense.
- Do not recommend tracker, tracker-gui and brasero for the XFCE
Desktop: Tracker is well integrated into the GNOME Desktop and
GNOME Applications, but XFCE itself can't do much with its
database (boo#1002454).
- Update LXQt pattern:
* New core packages: lxqt-l10n, lxqt-sudo
* Non core packages who still belong to LXQt upstream organization:
obconf-qt, pavucontrol-qt
* Replace gwenview by lximage-qt.
- Update GNOME pattern to be more in line with the GNOME Core
application recommendations:
+ brasero: only suggested instead of recommended. Writing optical
media is no longer the 'standard'. By suggesting it, we ensure
the programs stays on the media though.
+ gnome-clocks and gnome-logs: newly recommended tools.
- Demote libreoffice-base-extenstions from Recommends to Suggests:
we already don't explicitly recommend Base (which also does not
make much sense for most users) - so the extensions make even
less sense. Keeping it as suggests ensures it still ends up on
the media though.
- Added kdebase4-workspace-libs Recommend to the kde_plasma pattern
so qt4 apps use the breeze style instead of depending on indirect
requirements to install that package.
- Drop gnome-web-photo Recommends from gnome_utilities pattern.
- Suggest instead of Recommend inkscape for the gnome_imaging_opt
pattern, so that it is not pulled in by default on default GNOME
pattern installs. Inkscape is a specialised app that users
should install on their system if they need it, and the other
desktop patterns (e.g. KDE) do not install it by default either.
- Add the 'generic_server' pattern to the DVD.
- Drop sox, vorbis-tools from console, this does not feel like the
right place for them. Same for wodim.
- No longer recommend gnome-games-recommended by gnome_games but
the actual games directly: iagno, lightsoff, quadrapassel,
gnome-chess, gnome-mahjongg, gnome-mines, gnome-sudoku,
swell-foop. The resulting installation pattern is the same.
- remove references to rsh, smpppd, checkinstall. The packages got
dropped long ago.
- Use lightdm instead of lxdm for LXDE.
- Add yast2-qt-branding-openSUSE to rest_cd_* patterns to
get the default look of the installation wizard
- Drop kstars from kde_edutainment pattern: we need to gain some
space on the DVD again.
- Drop itrace, we don't have it on media anymore
- Updates to pattern rest_cd_x11 (Rescue CD):
+ Always use kernel-default (never kernel-desktop): The kernel
configurations have been merged and kernel-default provides
all features. Same for ndiswrapper-kmp-default
+ Drop useless recommends, that would only matter if the rescue
CD were installable: cracklib-dict-full, pullin-fluendo-mp3,
+ Replace mupdf with evince (33MB vs 3.5 MB, the GTK3 stack is
already there anyway).
- Add LightDM to LXQt pattern
- Require LXQt core components for LXQt pattern instead of only recommending
them
- Add LightDM to enlightenment pattern (boo#951558)
- Add a note about obconf-qt in lxqt pattern.
- Add qterminal recommends to lxqt pattern.
- Remove comments that do not make sense
- Remove pm-utils -> obsoleted by systemd
- Remove tmpwatch -> now handled by systemd
- Do not suggest and recommend elilo -> we have grub2 only supported
- Do not recommend gfxboot -> we have grub2
- Drop icedtea-web recommends from gnome and kde patterns.
- No longer recommend xorg-x11-Xvnc by the x11 pattern
(boo#981663).
- remove lilo and grub from patterns
- Add unbound to the DVD patterns (boo#972499).
- add devel_osc_build pattern
- enable dmidecode/numactl/efibootmgr for aarch64
- Update GNOME patterns:
+ Remove gnome-font-viewer from all GNOME patterns (still leave
it in the mate-* patterns).
+ rest_cd_gnome:
- Drop gnome_games pattern to save space, add back a few
games as Recommends instead (we don't want a completely
game free LiveCD after all!).
- Drop mc.
- Drop backup and rescue utilities: ddrescue, gnu_ddrescue,
grsync, lftp.
- Drop krb5-client and pam_krb5.
- Drop gparted, more suited to the rescue cd than here.
- Drop ldap utilities: pam_ldap, nss_ldap.
- All patterns: Drop input-utils, package has been long dropped
from Factory.
- Replace xchat by hexchat everywhere
- Fix pattern name/summary for python3 developement
- Fix pattern for KF5 with wrong python3-kde3 that never existed
- Add back tlp to laptop pattern which was dropped by previous changeset
- Obsolete the kde4bindings for perl, python, ruby and mono. They
haven't been ported and are obstructing the switch of Akonadi to
its Frameworks port
- Do not require midori on the Rescue CD: we already have Firefox
on it; midori pulling in webkit makes it just too big.
- Replace cdrecord in console pattern again with wodim: as long as
kiwi hard requires wodim, we can't require cdrecord from the
pattern.
- Drop deja-dup from GNOME patterns: it was added back in the days
when we increased the live CD from 650MB to 1000MB in order to
help fill up the space - but now we are struggling to keep below
the 1000MB limit.
- Drop tango-icon-theme from the GNOME base pattern: it's been a
while that GNOME relied on anything but adwaita and hicolor.
- Recommend pinentry-gnome3 from the GNOME pattern (boo#961472).
- Adjust the KDE/PLASMA patterns:
* Move to the new KF5 based KDEPIM suite as default
* Move to kf5 based gwenview
* Also recommend plasma5-pa for the kde_multimedia pattern instead
of kmix
* drop all kdeartwork related packages. This has been dropped
completely upstream
* minor corrections
- Replaced wodim with well maintained cdrecord in console pattern.
- kde_plasma: hard dependencies have been added recently for
packages that either are far from necessary or have reasonable
alternatives some users may prefer; soften these to Recommends:
+ plasma5-pk-updates
+ plasma5-pa
+ dragonplayer
- Update GNOME patterns:
+ gnome_imaging_opt: Drop xsane, GNOME already includes
simple-scan serving the same purpose.
+ gnome_internet:
- Drop gftp, gwibber, smuxi, xchat-gnome.
- Replace pan by evolution-rss.
+ gnome_utilities: Drop conduit, kerneloops-applet, pdfmod,
synapse, tasque and the-board.
- Remove kdeartwork4-screensavers from the kde-utilities pattern.
This saves space on the LiveCD and is useless on a Plasma5 desktop
- Drop valgrind-devel from devel_kde pattern: it is not very common
to require that by devs.
- Update GNOME patterns:
+ Replace shotwell with gnome-photos.
+ Drop alacarte: it makes only very limited sense since GNOME 3.
+ Drop system-config-printer-applet: GNOME 3 does not have a
try to properly display it.
- bump version
- readd dejavu-fonts on coolo's request (comment in request#343080)
- Remove kernel-xen (and omnibook-kmp-xen) from xen_server pattern
as kernel-default now includes pvops capabilities.
- install google-roboto-fonts instead of dejavu-fonts in -fonts
pattern, add noto-sans to -fonts_opt pattern [bnc#951898]
- According to icewm changes https://build.opensuse.org/request/show/342069
use icewm-default as recommends instead of icewm-lite.
- Remove flash from patterns
- Hard-require very basic parts of MATE in mate_basis pattern.
- Recommend mate-tweak and hexchat (instead of xchat) in mate pattern.
- kde_plasma now require plasma5-pk-updates package
- Remove apper recommends in kde pattern
- Add recommends for baloo5-tools and baloo5-kioslaves to kde_plasma
pattern (boo#948810)
- Given that video playback with vlc on Qt 5.5 is broken ATM, default
to dragonplayer in plasma
- Adjust kde plasma pattern to current state of things: require
plasma5-pa instead of kmix
- Let plasma pattern be more useful: require at least one video
player (vlc-qt)
- Suggest libvirt-daemon-lxc for both Xen and KVM patterns.
[bsc#947242]
- Recommend grub2-arm64-efi on aarch64
- create_macros: use %global instead of %define
- drag in updatetest packages if with_betatest is defined in the project
(Leap for now)
- Add generic_server pattern
- Recommend systemd-32bit in the rest_dvd_core pattern.
- Also fix the KDE CD: sssd-32bit is recommended there too, so also
recommend systemd-32bit.
- When recommending sssd-32bit, also recommend systemd-32bit: the
systemd-pam modules are needed in this case too (not strictly a
requirement, but pam-config -a --systemd fails on a 64bit system
when pam-32bit is installed but the 32bit pam modules are not).
- Add basic lxqt pattern
- create mate_internet and mate_office_opt patterns
- Recommend newly created patterns instead of GNOME's ones; recommending
GNOME's intall plenty of packages unwanted by regular users
- added stix-fonts and ctan-latinmodern-fonts to fonts_opt
[bnc#944629]
- Introduce four recently developed Yast modules into yast2 pattern
- Do not recommend lxpanel-plugin-power-manager in %package lxde:
dropped upstream.
https://mail.xfce.org/pipermail/xfce-announce/2015-May/000423.html
- tweak haskell_platform pattern
- need to allow binutils in minimal
- add haskell_platform pattern
- downgrade broken requires from leechcraft pattern
- drop out dhcpcd
- Adapt MATE patterns to MATE 1.10+.
- Recommend OpenJDK 8 instead of OpenJDK 7.
- Recommend NTP at least until boo#936378 is fixed and YaST is not
trying to configure a service that's not there.
- remove minimal conflict with perl, perl-Bootloader-YAML draws it in via
perl-YAML-LibYAML
- since we have perl now anyways recommending vim is no problem
anymore either
- Remove kdebase4-wallpapers from the kde pattern.
- Remove gnucash and gnucash-docs from the patterns due to space
constraints on the DVD media.
- Drop gnome-do and hamster-applet from gnome_utilities pattern.
- tweak minimal pattern to make it smaller again:
* omit kernel. In theory YaST will add it for real installations.
* don't install yast anymore. Should work in theory
* remove adjtimex, hopefully not used anymore
* remove SuSEfirewall2, needs full perl which is huge
* remove eject, ntfs-3g and ntp, sysfsutils not really needed
* remove release-notes-openSUSE, pulls in perl
* remove vim, needs full perl :-(
* require zypper instead of software stack pattern to avoid additional
recommends
* blacklist perl, python-base and binutils to avoid recommended packages
pulling them in
- Specifically obsolete the kdebase4-workspace-devel package
by the kde_plasma pattern to prevent issues during an upgrade
- e17 pattern is now the enlightenment pattern and installs the
latest enlightenment release rather then e17.
- The enlightenment pattern now recommends the following useful
applications
Mozzila-Firefox
desktop-data-openSUSE
xdg-user-dir
clementine
vlc
leafpad
mupdf
- Add kdepim apps to the kde patterns.
- Fix some kde4 left over patterns
- The right package name is breeze and not breeze5 :(
- Correction of the KDE related patterns
* Ensure the right ones are required
* Renamed devel_frameworks to devel_kde_frameworks
- Update of all KDE related patterns
* Plasma 5 desktop is the new default
* _kde4_ patterns renamed to _kde_
* Dropped the obsolete patterns for plasma5
* A new devel patterns was added to pull in the KDE Frameworks
development packages.
- Drop gstreamer-0_10 dependencies: this has not been maintained
for a couple years - if packages still rely on it, they are
required to ensure the presence on their own. No more help from
the patterns.
- Bump version number.
- Do not make "bootcycle" part of any pattern, it has to
be either dropped or fixed to work with grub2.
- Add some changes in LXDE's pattern to lighten the desktop, reduce
the dependence on other desktops and improve user experience
* Removed duplicated Recommends: lxdm line
* Removed Suggests: moonlight-plugin
* Removed suggestion of libreoffice-gnome if arch is x86_64
* Recommend Atril instead of MuPDF
* Recommend HexChat instead of XChat
* Recommend lxpanel-plugin-power-manager
* Recommend Pidgin instead of Empathy
* Recommend pk-update-icon
- Replace rhythmbox with pragha as the default audio player for
Xfce, see
http://lists.opensuse.org/opensuse-xfce/2014-08/msg00000.html
- Replace tomcat6 with tomcat
- Add some new packages to plasma 5 pattern: konsole5, kwrite5,
kmix5 (boo#907604), kcm-touchpad5
- Replace subversion by git in the devel_yast pattern (bnc#911635)
- gnome-icon-theme is deprecated in favor of adwaita-icon-theme
(which we don't need to put in a pattern, as it's a dependency to
a complete GTK+ 3.0 installation).
- Replace microcode_ctl with ucode-amd and ucode-intel
- Reorder patterns in the Desktop Environment group: GNOME. KDE4,
Plasma5, XFCE, LXDE, Enlightment, MATE, Fonts, X Windows System.
- Prefer gparted to gnome-disk-utility by default in Mate environment
- let's remove some devel patterns from DVD
- Add mate-polkit to mate-basis pattern; fix boo#905679
- Add gnome-main-menu to mate_basis pattern; fix boo#904096
- prefer the YaST Qt frontend in Xfce and LXDE as well since
libyui-gtk and libyui-gtk-pkg are unmaintained and have been
removed
- Add adobe-source* fonts to fonts_opt pattern (boo#901756).
- Pattern sw_management_gnome: Add back gnome-software as
recommended package
- Pattern gnome_internet: Add NetworkManager-openconnect-gnome as
recommended package (boo#900009).
- Pattern gnome_utilities: Add gnome-weather as recommended
package.
- Pattern gnome_internet: Replace xchat by polari
- Pattern gnome_multimedia: Remove rhythmbox as a recommended
application, gnome-music will now be the default music player.
- Recommends mate-search-tool instead of tracker, as tracker
is not integrated to Mate applications for the moment
- add apparmor-abstractions to AppArmor pattern
- bump the version to 20141007
- Remove gnome-software for now: it triggers polkit requests for
passing the proxy between the user session and packagekitd.
- Add Mate patterns (boo#899665)
- Add translations in create_macros
- Patterns enhanced_base and minimal_base: Drop linux32 as a
recommended package.
- Pattern sw_management_gnome: Add gnome-software as recommends.
- Pattern gnome_yast: Replace libyui-gtk-pkg and
yast2-control-center-gnome in gnome_yast pattern with its qt
version; the gtk bindings have critical bugs (see bnc#897910,
bnc#891183, bnc#852730) but seem unmaintained for now.
- package lxde
* do not recommend imaging pattern:
+ it triggers the installation of GIMP that is redundant
because mtPaint is in the pattern, has the same goal and is
lighter
+ it recommends the installation of the pattern imaging_opt
which in turn suggests calibre that is a heavyweight
application that doesn't really fit in LXDE
* do not recommend neither lxshortcut nor lxsession-edit:
+ lxshortcut is deprecated by LibFM 1.2.0
+ lxsession-edit is now provided by LXSession
* recommend uGet instead of transmission-gtk and do not suggests
aria2:
+ uGet can manage both BitTorrent and Metalink protocols (in
addition to HTTP, HTTPS and FTP)
+ aria2 is required by uGet
- Added new leechcraft plugins; deleted p100q (obsoleted).
- replace pm-profiler with tuned
- Recommend grub2-powerpc-ieee1275 on PowerPC instead of lilo
- Recommend haveged on ppc64
- add iproute2 to minimal pattern
- xfce_laptop: remove xfce4-panel-plugin-brightness which has been
merged into xfce4-panel-plugin-power-manager and is installed
through xfce4-panel-branding-openSUSE
- package lxde
* recommend gcolor2, currently one have to open a graphics
program just to pick a color
- Replace tightvnc with tigervnc as default VNC client.
(bnc#879917)
- Add a Plasma 5 pattern. Mostly a copy of kde4_basis, with exceptions
where needed
- Update kde_devel pattern: no longer recommend gstreamer_0.10, but
standard one
- package lxde
* move Leafpad from Suggests to Recommends to replace Beaver because
Beaver is buggy, isn't translated and this is not going to change
as it is unmaintained too
* recommend Geany as advanced text editor, it is light enough to fit
in LXDE
* recommend xfce4-screenshooter, mtPaint lacks a lot of features
in this area
- translate C++ comments into spec files</brownbag>
- move ca-certicates-mozilla into base system
- switch to a more generic version scheme
- Add Qt5 devel pattern
- gcalctool has been renamed to gnome-calculator
- Adjust kde patterns to current status:
* Drop no longer necessary libsoprano-devel and strigi-devel
* Drop plasmoid-quickaccess, no longer in distro
* Recommend baloo-file and baloo-pim
* Swap kcm_gtk for kde-gtk-config
* Swap koffice components to calligra counterparts
* Swap gstreamer_0.10 backend and plugins for 1.0 versions
- suggests postfix *and* recommend postfix
- fix kernel requires for rest patterns
- kde4 pattern does no longer exist
- gnome-games: recommend gnuchess instead of phalanx (bnc#864907).
- rename kde4 pattern kde - that is visible
- make visible patterns visible
- patterns are no longer maintained in git (well, they are for
now but that's just till I'm certain the rpm only way works)
fate#309385 (internal)
- Dinar Valeev (1):
Don't require libspe and pdisk on ppc64le
Ludwig Nussel (4):
port to libsolv, part 1
implement explain again
remove yast2-x11 from default install again
remove debug output
Stephan Kulow (1):
Merge pull request #62 from k0da/master
Commit: 334f1f9b
- Stephan Kulow (1):
switch to generic names of libyui
Commit: 174890fa
- Cristian Rodríguez (1):
prefer kmod-compat instead of module-init-tools
Lukas Ocilka (1):
Dropped yast2-backup and yast2-restore from YAST_BASIS (FATE#308682)
Raymond Wooninck (2):
Plasma-nm replaces NetworkManager-kde4
plasma-nm replaces NetworkManager-kde4 and arora no longer exists
Stephan Kulow (1):
use the right texlive package (bnc#854509)
Tomá? Chvátal (1):
Preffer the systemd-logger (journald) instead of rsyslog. Future here we go.
Commit: 2251e2ad
- Package texlive is nearly empty as it includes only the required
TeX File System, therefore require texlive-scheme-tetex as this
package cause the installation of more than medium, but nowhere
near full TeXLive packages (bnc#854509)
- Stephan Kulow (1):
remove test updates and malloccheck
Tomá? Chvátal (1):
Use mlocate in patterns over findutils-locate
Commit: 46d3ece3
- Stephan Kulow (1):
libvirt should only be a suggested package to the patterns
Commit: d6fb2bf6
- Commit: d94d126e
- Jim Fehlig (1):
Add libvirt to KVM and Xen patterns
Stephan Kulow (1):
put the apparmor pattern on the cds too - default is default
Commit: d94d126e
- Atri Bhattacharya (1):
GNOME-Utilities: Replace tomboy by bijiben.
Stephan Kulow (6):
remove 32bit pattern (bnc#821978)
recommend apparmor (bnc#724829)
move udev-configure-printer to live isos (bnc#808014)
no longer install xorg-x11 unless it's an update
Vincent Untz (1):
GNOME: Remove several old packages and add gnome-photos to suggests
Commit: 4d1ad2eb
- update url - pointing to github
- Dominique Leuenberger (1):
GNOME: Update patterns
Juergen Weigert (1):
Preliminary removal according to bnc#840026
Commit: 02f72072
- Michael Catanzaro (7):
gnome games: remove gbrainy
gnome-desktop: replace Tomboy with Bijiben
gnome-desktop: remove alternative-status-menu
gnome-internet: drop epiphany-extensions
gnome-multimedia: explicitly add missing gstreamer plugins
gnome-desktop: add deja-dup
devel c(++): move ddd to suggests
plusky (1):
Replace runlevel editor with service-manager
Commit: 12199b5e
- Stephan Kulow (1):
recommend desktop-branding for every desktop
Commit: 7dc182ab
- Jim Fehlig (1):
Add kvm_server pattern to DVD recommends
Lukas Ocilka (1):
Removed yast2-mouse from yast_basis pattern
Stephan Kulow (2):
remove yast2-irda from yast2
make sure we can ignore some things for some live cds
Commit: 6bed7f31
- Stephan Kulow (1):
readd xorg-x11 to the default install (for now)
Commit: e531eee7
- Stephan Kulow (1):
also require some yast2* for kde and gnome livecd
Atri (1):
[REST-CD-X11] Add yast2-x11 to required packages.
Commit: 8f1e89ab
- Stephan Kulow (1):
switch to xorg-x11-essentials
Commit: 5df80cef
- Christian Boltz (1):
AppArmor pattern - don't install pam_apparmor when selecting the pattern
Jim Fehlig (2):
Remove xen-doc-pdf
Add kvm_server pattern
Stephan Kulow (3):
replace old db-4_5 with db-devel
trying to create a core set of installation medium
add systemd-analysis to the enhanced base suggests
Commit: 3a4da77c
- Stephan Kulow (1):
remove limal-perl from required packages
Commit: 9e30f6d5
- Jim Fehlig (1):
Add libvirt-daemon-xen to the xen_server pattern
Stephan Kulow (1):
readd update-test pattern and aaa_base-malloccheck
Commit: 27a398e5
- Commit: 029692f4
- Stephan Kulow (1):
e17 does not recommend xfce :)
Commit: 029692f4
- Stephan Kulow (5):
add a e17 pattern
do not put webyast on DVD, it's too often broken
remove XGL patterns, compiz is pretty much dead
add all xf86-video-* (picked by supplements)
put scribus off the DVD, I need to save space ;(
Commit: 6d7f28b9
- Atri Bhattacharya (2):
Replace unmaintained epdfview by mupdf
[LXDE-Office] Replace unmaintained epdfview by mupdf.
Stephan Kulow (1):
replaced libyui4 with libyui5
Commit: e5df4756
- Andreas Jaeger (1):
Add util-linux, adjtimex, time, which to BASIS
Michael Catanzaro (4):
gnome: remove hamster-applet
gnome: update alternative status menu package name
gnome: gcalctool is now gnome-calculator
Remove xvkbd from laptop, add eekboard to tablet
Stephan Kulow (1):
grub2-efi is no more - replaced by e.g. grub2-i386-pc
Commit: cd1a5224
- Atri (1):
[REST-CD-X11] Add yast2-country for more keyboard layouts.
Stephan Kulow (1):
do not install hplip by default any longer (bnc#649280)
Commit: e2fdb74e
Do not rely on preprocessor, set __i386__ explicitly on %ix86
- Stephan Kulow (2):
suggest libyui backends for kde and gnome
install shim by default
Commit: b9244511
- Atri (1):
Add xchat to REST-CD-X11.
Raymond Wooninck (1):
Include kde4-print-manager in the default KDE4-DESKTOP pattern
Stephan Kulow (1):
add osc to the patterns (as suggested)
Commit: 4e9f3fa9
- Atri (7):
Add useful packages & xfce pattern to REST-CD-X11.
Add xfce pattern the right way
Add file-roller to XFCE-MINIMAL; grsync, lftp, gnu_ddrescue to REST-CD.
Replace Imagemagick on REST-CD-X11 by ristretto on XFCE-MINIMAL.
Add xfce4-appfinder to XFCE-MINIMAL pattern.
Drop XFCE-MINIMAL; XFCE-BASIS is now the minimal XFCE.
Add ristretto to REST-CD-X11.
Stephan Kulow (17):
remove yast from x11 cd
don't have X11 pattern recommend yast
split off REST-CD a REST-CD-DESKTOP not to be put on X11 CD
prefer lightdm over xdm
add some yast modules for recovery
move gtk2-branding-openSUSE away from X11 CD
xfce requires xfce_basis
remove xfce pattern again
split xfce-basis into 2, one of them minimal for the rescue cd
have yast2-control-center-gnome on rescue cd too
make some space on the promo dvd
need more space on promo dvd
readd grub to the cds ;(
Will Stephenson (1):
Add kio_mtp
Commit: c8c69f73
- Dominique Leuenberger (1):
Replace banshee with rhythmbox... mono is in a rather odd stage...
crashy... bnc#800237
Commit: 440e44d3
- Stephan Kulow (2):
remove some bits from the DVD
do not recommend ConsoleKit
Commit: 430571b2
- Stephan Kulow (2):
no longer install grub1 by default
install grub2-efi and syslinux by default
Commit: aa39420d
- Stephan Kulow (1):
we're back to nscd
Commit: 37d7d67f
- Guido Berhoerster (1):
Reduce dependencies on GNOME packages in XFCE
Michal Hrusecky (1):
Replacing MySQL with MariaDB in LAMP pattern
Raymond Wooninck (1):
Remove ConsoleKit-devel and add the two new kdegames development libraries
Commit: 485bc121
- Ludwig Nussel (2):
update minimal pattern
add --no-recommends
Commit: 06838603
- Guido Berhoerster (1):
Terminal has been renamed to xfce4-terminal
Ludwig Nussel (5):
don't install any smtp daemon in minimal
add glibc-locale to minimal
remove xinetd, yp-tools and ypbind from minimal
ncurses yast also needs ncurses packager
prefer cracklib-dict-small in minimal
Michael Catanzaro (1):
Update openjdk packages
Commit: 254debd2
- Stephan Kulow (1):
ulimit is dropped
Commit: d8b2c6b4
- Stephan Kulow (1):
fix previous commit
Commit: 982ea6db
- Stephan Kulow (1):
with systemd there is no special requirement for syslog
Commit: 93316782
- Stephan Kulow (1):
switch to libpng15
Commit: 0c70f9f1
- bump version
- Cristian Rodríguez (2):
Move acpid to ENHANCED-BASIS-OPT
Remove "smolt" from patterns
Guido Berhoerster (2):
xfce: Remove gnome-bluetooth which drags in too many GNOME dependencies
xfce: Include xfce4-panel-plugin-weather again since it has been fixed
Stephan Kulow (2):
even make acpid suggested only
small cleanups
Commit: 0f4d50b9
- Stephan Kulow (1):
yast- frontends are now libyui-*
Commit: 0dff97c8
Vincent Untz (2):
gnome: Remove evolution-webcal, replace evolution-exchange with evo-ews
gnome: Remove mention of telepathy-butterfly
Commit: 8f63ad57
- Ludwig Nussel (4):
minimal: add acpid
stabilize sort by sorting by name if size is equal
add branding-openSUSE to test case
minimal: prefer postfix to avoid exim (bnc#778862)
Stephan Kulow (2):
do not require texinfo but makeinfo
remove some packages no longer existant
Vincent Untz (1):
gnome, lxde: drop bug-buddy and gnome-pilot from patterns
Commit: 89e8bf32
- Richard Brown (1):
Added grub2-branding-openSUSE to ENHANCED-BASIS
- Stephan Kulow (2):
Push most books off the DVD - just too large
removing some things not to be on DVD
Commit: 8d62c13c
- Stephan Kulow (1):
bnc#756777 - xstroke is pretty useless
Commit: a6fc9972
- Stephan Kulow (1):
add hyper-v.rpm to install media
Commit: 467963c9
- Stephan Kulow (1):
adding a books pattern (bnc#703899)
Commit: 062f8b4f
- Guido Berhoerster (2):
add some low-level dependencies to XFCE-BASIS (bnc#768268)
switch back to xfce4-mixer as the default mixer
Commit: 5d7e8758
- Guido Berhoerster (1):
strip down XFCE_BASIS to a bare-bones Xfce desktop with only core
applications
Marcus Meissner (1):
added pdisk by default on powerpc
Commit: c90d295f
- Stephan Kulow (1):
fix webyast rename to end on DVD
add provides and obsoletes to the old webyast patterns
Commit: 8143bd44
- Ladislav Slezak (1):
merged webyast-ws and webyast-ui patterns into one webyast pattern
Commit: a51b366d
- Raymond Wooninck (1):
Make plymouth the default for the bootsplash
Commit: 46ac3850
* Changed version and license
- Cristian Rodríguez (1):
move irqbalance to ENHANCED-BASIS-OPT it serves
no real purpose nowdays on machines without hundred of cpus.
Guido Berhoerster (13):
completely remove non-existent package lightdm-branding-openSUSE
completely remove xfce4-panel-plugin-cddrive and xfce4-panel-plugin-places
which are not in Factory
add back thunar-volman-branding-openSUSE
make xfce_basis visible again since this is not a problem with patterns
remove gnome-bluetooth since it requires gnome-control-center (bnc#732689)
adapt to recent packaging changes
xfce-utils has been removed upstream
correct the list of panel plugins
xfce4-panel-plugin-datetime does not need to be installed by default
added xfce4-panel-plugin-xkb since xkb layout switching is useful
install gnome-keyring, it is enabled by default in xfce4-session
clean up comments
add tracker-gui, tracker is already dragged in by default
Stephan Kulow (1):
grub2 is needed now
Commit: 772347e1
- Stephan Kulow (3):
add more yast languages more to the CDs
clean up requires of rpm build environment
drop xgl/compiz from DVD
Vincent Untz (3):
gnome: Add nautilus-extension-seahorse and update for gnome-utils split
gnome: Add gcr-viewer
gnome: Add gsf-office-thumbnailer
Commit: dd2a4380
- Stephan Kulow (2):
add elilo and efibootmgr to the media (bnc#728529)
hide xfce_basis for now (bnc#728319)
Commit: e0f5a60b
- Stephan Kulow (1):
revert bootsplash-branding change
Commit: 76a0a769
- Stephan Kulow (2):
any branding will do - openSUSE preferred
take out update_test from default install
Commit: c2de877b
- Stephan Kulow (2):
we need to save 85mb off the dvd9
don't install gnome-color-manager by default (bnc#698250)
Commit: be94d305
- Richard Brown (1):
gnome: Install gnome-shell-extension-alt-status-menu by default
Stephan Kulow (1):
suggests on promo dvd is just too much
Commit: d595948d
- Stephan Kulow (2):
make sure we require a kernel (bnc#674838)
switch KDE updater to apper
Commit: 9f3745a8
- Stephan Kulow (1):
remove xstroke from laptop pattern, it's fine in tabletpc only
Vincent Untz (1):
gnome: Move simple-scan from GNOME-IMAGE-OPT to GNOME-IMAGE
Commit: d4b44eba
- Ludwig Nussel (3):
better warning if pattern lacks 'sel'
minimal: suppress python and yast2-branding
make test runner more generic
Commit: 98a3c6ca
- Stephan Kulow (2):
more renames
readd ppds (bnc#652292)
Commit: f6d66dda
- Stephan Kulow (5):
remove rpmlib requires, those are really odd
remove packages dropped for 12.1
remove more packages not existant (anymore)
remove some more stuff not present in factory
follow renames and remerges
Commit: e8af0ff0
- fix specfile generation
- Guido Berhoerster (23):
drop opensuse-codecs-installer which is gone from Factory
remove non-existent xfce4-branding-openSUSE and replace it with the real
branding packages
add pk-update-icon which replaces gpk-update-icon
explicitly depend on system-config-printer-applet
replace xarchiver with file-roller, xarchiver is dead and squeeze is not
ready yet
add back xfce4-panel-plugin-mixer as a possible alternative to gmixer
replace xfburn with brasero, xfburn is unmaintained upstream and has
numerous bugs
add with rhythmbox a more sophisticated media player and sound-juicer to
allow CD ripping
add with simple-scan a more simple and usable alternative to xsane
added a couple of applications for feature parity with the default installs
of other desktops
replace remote_desktop with remmina
add some games for Xfce
ease debugging by adding gdb
no need for explicit xorg-x11 any more since we use lightdm
add gnome-bluetooth to desktop pattern as well, bluetooth is also useful on
desktop systems
add alacarte, since Xfce 4.8 menus can be edited by it
replace thunar-thumbnailers with tumbler
neither the xfce not the murine gtk2 engine are needed since we switched
from Sonar to Adwaita
remove non existent packages
remove xfce4-dict which is already recommended
split off xfce_basis pattern in order to allow for more minimal installs
added shotwell for photo management
add xfce4-panel-plugin-datetime so it can be used by branding
Ludwig Nussel (5):
jarnal doesn't exist since 11.3
conflict zypper-log in minimal due to python
add klogd to BASIS
recommend yast2-ntp-client in yast install pattern (bnc#723018)
add script that works with perl-satsolver
Stephan Kulow (2):
add tons of packages useful when building KDE
take out some of the largest packages
Vincent Untz (1):
gnome: Add gnome-control-center-branding-openSUSE
Commit: f6407989
- Stephan Kulow (1):
switch /sbin/init to systemd (bnc#723041)
Commit: 7040c30e
- Stephan Kulow (1):
flash-player seems to be 64bit now too
Vincent Untz (4):
gnome: Add gnome-documents to GNOME-DESKTOP
gnome: Update for new name of package with dynamic background
gnome: Pretty sure we don't need cups-backends by default
gnome: Install gnome-color-manager, drop pulseaudio-esound-compat
Commit: bc85b9a8
- Guido Berhoerster (1):
switch from gdm to lightdm
Commit: cb7af52a
- Andrea Florio (1):
replace gpicview with viewnior
Commit: 7cac039c
Stephan Kulow (3):
try promo dvd with suggests
make systemd default on live cds
do not install xgl on DVD either by default
Vincent Untz (2):
gnome: Rework some GNOME patterns
gnome livecd: Do not install xgl/gnome_xgl patterns
- Ludwig Nussel (3):
remomd converter
better error message
add yast2 added packages and locale=en
Stephan Kulow (5):
libatm1 is the new name (bnc#695303)
GNOME3DONE define is old
Ignore files
put elilo on DVD
put elilo and grub2 on DVD only so far
- Stephan Kulow (2):
add libQtWebKit-devel to qt pattern (bnc#680081)
adding siga to dvd (bnc#697047)
- Stephan Kulow (5):
recommending minimal yast2 installation workflow for mininmal
adding minimal_base-conflicts to the DVD patterns
next round of minimal requires
python-base is required through systemd now
conflict with more supplements
Ludwig Nussel (1):
add zypper to minimal (bnc#713317)
Stephan Kulow (1):
add kiwi-media-requires for ms to track what should be on DVD
- Andrea Florio (1):
opensuse-codecs-installer is obsolete
Sascha Peilicke (1):
Don't require/recommend AppArmor.
Stephan Kulow (1):
remove the default pattern, it has no meaning
- Andrea Florio (1):
added simple-scan
Stephan Kulow (1):
readd update_test
Vincent Untz (1):
gnome: Add libgnomesu Recommends
- Stephan Kulow (1):
recommend systemd for easier testing
Vincent Untz (3):
Update GNOME patterns for GNOME 3
Do not require gnome-session-*-session, but recommend them
gnome: Move tasque from Recommends to Suggests
- Stephan Kulow (4):
add snapper to the yast patterns for better btfs support
bootloaders are not strictly required in today's virtual world
compiz is back
webyast fits also on dvd9
Stephan Kulow (1):
fix webyast patterns and put them on dvd
Stephan Kulow (2):
drop ivman
fix webyast sel files
- set version to 12.1
Ludwig Nussel (2):
add vim to minimal_base
create a separate minimal_base-conflicts pattern
Stefan Schubert (1):
added webyast
Stephan Kulow (4):
libstorage is gone
promo dvd can live without xgl
16dc760 added missing YaST GTK GUI (bnc#688084)
53df32b switch back to totem now that parole has dropped its browser plugin
ab01071 replace mousepad with leafpad since the former will be dropped from
Factory
0e4f41e add perl-doc for devel-perl (bnc#688877)
568ae31 take out problematic GNOME2 packages to get something rolling
616567e remove compiz too for GNOME3DONE
7cacb80 phonon-backend-xine is unused
e9fc6d7 add texlive to technical writing (bnc#673657)
d414e22 fix syntax
b6cc0c4 we need both frontends
3fdaf85 add sssd to the media (bnc#679439)
288aad0 aria2 is not so common anymore
ef23220 replace ksmolt with smolt-gui
c295d0a licenses are no more
394ae9c revert some empty files
ce02fc4 add dependencies of skype
b285e13 move skype deps out of default install
0286502 add depencies of acroread to the DVD
7cacb80 phonon-backend-xine is unused
4973860 unrar is unfree now
4f8c55d throw off some patterns from promo
1a68b1f remove things from the biarch dvd
6429034 take out update_test from default install
7c526e2 take out empty files
- bump version
ee7c122 move LanguageTool out of default install
8d5e729 rest_dvd can't require two conflicting patterns
38e535a gfxboot should be installed in !minimal
0e2b4ef leave the full cracklib dict in minimal
20e6ffa Change gtk theme to oxygen-gtk
42c01f3 Recommend kdevelop4 for IDE pattern, suggest PHP
4b543b4 Add Krita to Imaging pattern
75516ab Add Rekonq to recommends for KDE Internet pattern
659d680 remove xfce4-volstatus which will be dropped from Factory
c74c68e hal-devel is no longer part of KDE
afe82ea testing a minimal pattern
d2c0b61 rename to minimal_base to avoid conflict with sles
62592b4 conflict some bad recommends and supplements
9207be2 a couple more conflicts for minimal
6a04259 fix the name of the pattern package
a63758d also conflict with cups-client
dee5016 remove 2 packages of the top 10 installs
8120148 do not recommend too much from base - base is the minimal
bfa19cc follow virtualbox rename
d4c5350 ksame is gone
22d4883 removed corefonts from default install (bnc#655760)
1a48484 remove no longer existant packages
de6e0e7 cups-drivers is no more (bnc#652292)
5ee174c changes from XFCE team
220695b add Xfce patterns modifications by gber
7c56627 disarm kde4_pure pattern
75fd438 change to kpackagekit
df7297f Use the NetworkManager plasmoid now
fe73adb Install pulseaudio again by default
b388743 ksshaskpass is broken and unmaintained
c29ebd2 Kwebkitpart is a central part of 4.6
f439f79 Correct Nepomuk requirements and move to Recommended
4a84f97 BlueDevil replaces KBlueTooth
a92ffb7 add haveged to optional base packages
f70d1a1 make it possible to switch to syslog-ng
f2a57ea Revert "remove update_test for release"
e86af77 GNOME: Remove libraries from GNOME-BASIS
cc3d493 GNOME: Add/remove some packages, and add many suggestions
81cb448 BASIS: replace hal Recommends with pm-utils
8549265 switch to libreoffice
b6f2cf0 fix package names
4f6573e tracked in bugzilla
ee5d98f use cronie by default
376de2b use empathy instead of pidgin
6fb5b3b preload is not strictly required
b9cc276 moblin pattern is gone as most packages of it are gone too
e2068ef remove packages gone from the distribution
3f5cdf7 Remove some obviously unneeded parts in GNOME patterns
2bc03b8 Update GNOME-IDE to include devhelp and glade3
19c6c60 Reorder GNOME-BASIS so that low-level bits are easily findable
c21ed96 Remove yast bits from GNOME-BASIS
a3141f8 Make packages in GNOME-Games recommended instead of required
e6a80e0 Move packages around all the GNOME-* patterns
02ade03 add some packages
4ba8669 exim has no maintainer, not good to suggest
7481311 adding quota-nfs to DVD
be2a41e remove moblin-app-installer as the repos dont exist
01877c3 add a dependency free GPG gui
bce5ab3 we need hal's init script for cpufreq to work (bnc#612131)
86b748c Do not recommend yast2-qt from GNOME-YaST
4e0b698 added a touchpad configuration tool
1c8c7f7 remove packages not installable
67a91dc more cleanup
6578467 replace capabilities with real package names
3c7d755 one more provides
c4fd58f complete the switch to yast2-gtk
e4ee1f1 remove update_test for release
a6a23b4 yast2-repair is gone
bd0fb67 removed stuff vuntz thinks are obsolete
4e20568 add _opt patterns to promo dvd
f9e4ee6 revert fix for bnc#538897
1f298ac Use tracker instead of beagle
1136323 added a printer config tool
88cd8e9 do not use PolicyKit anymore
672566f remove non-building apps from selection
e81c9ef too late to make it visible
50d61f0 fixed order
0f21c40 add libvdpau for bnc#605888
9d65b15 small cleanup
838e7a2 Drop outdated HAL from (enahnced) base system.
- remove dvd9 rest pattern
b232af0 compcache is disabled
900dc8f full up the promo dvd
ec0c5b6 adding dvd9 specific pattern, only dummy "I want it all" for now
1be5421 add things to the dvd9 that are normally only online
0ff8f18 some more packages for dvd9
2a5dfd5 added lxcc and improved lxde user experience
517a312 added video player to LXDE
402c6c2 use brasero instead of xfburn
8e872de use GTK UI for YaST
fbea081 use network manager by default
25badf1 adapt to dropped yast modules
721ffab back to sysvinit
(http://lists.opensuse.org/opensuse-factory/2010-05/msg00168.html)
97976e9 remove tmpwatch again
a9a6ad9 remove all of Policykit but the -kde and -gnome frontends
cca5a50 replace okteta with synaptics
cba9a5f added moonlight-plugin
61a351f Use empathy instead of pidgin by default for GNOME
fc508de recommends office-lxde pattern
7cf97b9 Default office patter require OO.o Recommends lxde-office pattern
instead
0ad93d6 Revert "Switch to the new at-spi2 stack by default"
e4a5bc8 add open-vm-tools (bnc#591085)
984591e replace gnome-games (bnc#594503)
4bbb001 add LanguageTool into office pattern (for dvd)
9d6737e add tmpwatch to default (bnc#594778)
4c3c16a moved claws to main LXDE pattern; removed polkit-gnome from pattern
78a70a5 recommend the openSUSE branding for gnome
19bce1a replace sysvinit with sysvinit-tools
265bbb6 let's try with upstart for M4
cf09420 add virtualbox-ose-guest-tools to liveCD
87e55e0 add gnome utilities to the live cd
53de3f2 replacing cscope with ctags in kernel development (bnc#582415)
eb621b7 adding 32bit gtk to the DVD
5bb8c74 improved lxde patterns, created lxde_laptop patter to provide some
laptop utilities
1c1b519 added lxde_laptop patter into dvd (no additional space required)
0118b3f move sax2-gui from live cd to save space
- save the original spec file, so that autobuild does not
remove the important comments ;(
505b6b3 moving knode, kcron and ksystemlog out of the default install
1987df9 add gnome-disk-utility (bnc#554954)
26e7f97 put lxde on dvd - let's see how large it is
93eff17 added lxde patterns
1a1ca32 Switch to the new at-spi2 stack by default
b9a7c66 add susehelp to the kde basics (bnc#541820)
fdefc61 do not require but recommend opensuse branding (bnc#564730)
- update version to 11.3
34c4417 move samba out of livecd patterns
e56c82c adding meanwhile plugin (bnc#549711)
b537a95 add xorg-x11-driver-video-unichrome to X11 suggestion list
588d38c take out preload for now
6346418 This reverts commit fb883332c54fbf0e5fc805c0cc779524221c1dda,
readding update_test
1383d75 no longer recommend xgl pattern for kde - it requires gnome (bnc#550875)
34c4417 move samba out of livecd patterns
fb88333 take down update_tests
93f469e fix up ipw-firmware
27aeba0 add kiwi-templates
e80f252 do not require a flavor (bnc#547900)
1065957 recommend kernel-syms for kernel development (bnc#548933)
989b341 ggreeter is gone (bnc#543759)
76f825b add samba to the default installation
7468384 add alacarte to the livecd default too
65f7a88 yast2-gtk-pkg is no more
5c7650e require the patterns packages
9dc8da1 games_opt is not needed
2e37890 bnc#542936 - add webpin yast module
84eae4d add firefox kde4 integration
c1cae84 ufraw-gimp was renamed to gimp-ufraw
b3c3106 cleanup dead and renamed packages
4b7f5b9 trying with everything required
63d6898 libusb-devel is now compat-devel
c2e3b20 removed more dropped packages
b62dcf9 another round of dropped packages
16a84a3 done with dropped packages
5cb7c95... add gwibber to DVD
d7f6916... change from lsb to lsb-release by default (bnc#537378)
e1cf9f1... adding smolt
9a0bd24... adding btrfsprogs
356ac46... adding gnome-packagekit to XFCE
cc964c8... add lsof to live cd
3da4dae... remove beagle-firefox from GNOME default (bnc#533783)
846e43a... merge KDE4-BASIS-OPT back into KDE4-BASIS
d6c64cb... qlogic-firmware is now kernel-firmware
d96f273... move vpn plugins to the default install (bnc#533580)
c23700e... leave out file conflicts with kernel-firmware for now
cdf4380... try texlive on x86_64 again
102879c... adding polkit-gnome (bnc#538897)
d6de7da... xdm is not provided, hardcode xorg-x11
3d4a20a... add droid fonts to default install
d7bdcea... add specific icon themes for ooo
1af1874... fix minimal autoyast installation
69e0d1b... trying to install the update test by default
05f6fb8... merge kde4_office_opt back into kde4_office only suggest the kde3
quickstarter
87a6457... put the update_test on cds too (bnc#533154)
36479d4... pull in kdebase4-openSUSE-pulseaudio-conflict
4ba63a6... take out the pluseaudio block package, may exist better solution
6699349... live without banshee for the moment
d939c19... put more vpn on the dvd (bnc#533580)
c724b4c... cups-autoconf should be replaced by udev-configure-printer
(bnc#532838#10)
b9702b4... xdm for xfce
a99362e... patch from Beineri to put more kde apps into default selection
20064f3... 3 PA tools no longer needed (bnc#529059)
3c0a04d... monsoon is gone, transmission is default (bnc#530416)
0d46f55... try compcache on the live cd
c683570... harmonize the dvd default install with the live cd (patch by
Binner)
ec139ac... tex is too large for x86_64 (at least for now)
affbf98... list polkit explicitly
d4f0912... ksmolt on kde4
7215e19... move exiftool out of default installation (bnc#529052)
0fb8e24... move yast2-qt off the gnome live cd (bnc#529046)
92ae5c0... NM should have much better support for umts now without using
umtsmon (bnc#529050)
06f971f... sumf is not maintained and not ported to qt4
8414914... extra kernel is no more
1e08776... sax is no longer required to have a working X
670269c... put kinternet on the DVD for those that need it (bnc#527549)
06b0f5a... no need to list kernel-*-base explicitly - especially when it will
go away
a91ceb7... remove some libraries
4161f12... switch to xine backend for phonon
96c9f5a... take out pulseaudio for testing
dc8ff1e... move gstreamer plugins to gnome now that KDE uses xine backend
4f16b18... recommend esound-daemon for KDE
d21633f... if only kde4 is selected, it conflicts with pulseaudio
f89c698... do not put laptop pattern on live cds, but take the network
1be4e81... add pavucontrol for bnc#522801
54f3fbb... removing gsynaptics for bnc#523500
70bc3a4... make kde3 depdency suggested not required
b95d000... put xdg-users-dir in default selection
949873b... drop -pae and take -desktop on all archs
48380d2... trying something: switch nscd to unscd switch syslog-ng to
rsyslog
8881eca... bug509829 - include xdg-user-dirs-gtk in GNOME
06beee8... add kde internet stuff
e7ff730... on 64bit require kernel-desktop
7ecc5b9... only kernel-desktop on x86_64
de09c63... patch from KDE team (bug#526987)
2da8d35... take out xen_server for now and hide koffice2
13bb9fd... kdebase3-devel is not needed anymore
593cff4... add mc
9eb74c6... bootchart is not interesting for most
a7c9ecb... moving krecord to suggested and going from pinentry-qt ot -qt4
2269c3a... replacing dropped kde3 apps (bnc#513833)
d03eb1e... adding qt-creator
3ddaf3b... moving command-not-found to live cd, fixing krecord
a4dd766... adding yakuake
3e8c4e5... bnc#521180
e3d1df0... don't put libqt4 dependencies into enhanced-basis
c5f2520... move X11 dependencies out of enhanced-basis
98d34b9... suseRegister isn't required for suse
adeeb40... we don't need no registration
7329423... adding video drivers and server
4009508... not that too many care for s390 opensuse, but it should stay
without x11
3f1da14... give it a requires too
3573c91... fixing patterns
57b4822... the package is back
e541659... give me display
3df2261... push changes from vuntz
2c10c7f... ignore amarok for now
522f40b... replace pae with legacy on the DVD
0229227... xfce is still broken
2587e91... readd it
fe5c487... the patterns conflict, so don't require them
e977ab1... Revert "- replace pae with legacy on the DVD"
6c26bfa... readd amarok
- follow package names
- remove manuals pattern
- fix xfce pattern and clean up some left overs
- fix name of digikam
- update XFCE pattern (bnc#493549)
- remove all KDE3 patterns
- clean up some package names (follow renames)
ca0d789... do not install ufraw by default (bnc#298969)
86242bb... use kde4-konversation
7e45fe1... hide kde3
10a7a3b... go for kde4
b90facf... adding wireless helpers
2fb5e5f... no beagle on kde4
bd2b801... leave out more of it for the time being
47490c5... need these
dc18426... trying to get new livecds
1e33bbd... back to real life
9d63d25... readd office

==== php7 ====
Subpackages: apache2-mod_php7 php7-ctype php7-dom php7-iconv php7-json
php7-mysql php7-pdo php7-pgsql php7-sqlite php7-tokenizer php7-xmlreader
php7-xmlwriter

- apache2-mod_php7 does not provide libphp7.so [bsc#1089487]

==== plymouth ====
Subpackages: libply-boot-client4 libply-splash-core4 libply-splash-graphics4
libply4 plymouth-dracut plymouth-plugin-label plymouth-plugin-label-ft
plymouth-plugin-script plymouth-plugin-two-step plymouth-scripts

- Modify 0001-Add-label-ft-plugin.patch to fix problems with
multiline text (bsc#1083695)
* to prevent infinite loop newline characters need to be skipped
- Use %license instead of %doc [bsc#1082318]

==== shim ====
Version update (0.9 -> 14)

- Acquired updated signature from Microsoft (bsc#1086589)
- Add shim-bsc1088585-handle-mok-allocations-better.patch to avoid
double-freeing after enrolling a key from the disk (bsc#1088585)
+ Also refresh shim-opensuse-cert-prompt.patch due to the change
in MokManager.c
- Add the missing leading backlash to the DEFAULT_LOADER
(bsc#1086589)
- Acquired updated signature from Microsoft (bsc#1054712)
- Add shim-httpboot-amend-device-path.patch to amend the device
path matching rule for httpboot (bsc#1065370)
- Update to 14 (bsc#1054712)
- Adjust make commands in spec
- Drop upstreamed fixes
+ shim-add-fallback-verbose-print.patch
+ shim-back-to-openssl-1.0.2e.patch
+ shim-fallback-workaround-masked-ami-variables.patch
+ shim-fix-fallback-double-free.patch
+ shim-fix-httpboot-crash.patch
+ shim-fix-openssl-flags.patch
+ shim-more-tpm-measurement.patch
- Add shim-httpboot-include-console.h.patch to include console.h
in httpboot.c to avoid build failure
- Add shim-remove-cryptpem.patch to replace functions in CryptPem.c
with the null function
- Update SUSE/openSUSE specific patches
+ shim-only-os-name.patch
+ shim-arch-independent-names.patch
+ shim-change-debug-file-path.patch
+ shim-opensuse-cert-prompt.patch
- Fix debuginfo + debugsource subpackage generation for RPM 4.14
- Set the RPM groups correctly for debug{info,source} subpackages
- Drop deprecated and out of date Authors information in description
- Add shim-back-to-openssl-1.0.2e.patch to avoid rejecting some
legit certificates (bsc#1054712)
- Add the stderr mask back while compiling MokManager.efi since the
warnings in Cryptlib is back after reverting the openssl commits.
- Add shim-add-fallback-verbose-print.patch to print the debug
messages in fallback.efi dynamically
- Refresh shim-fallback-workaround-masked-ami-variables.patch
- Add shim-more-tpm-measurement.patch to measure more components
and support TPM better
- Add upstream fixes
+ shim-fix-httpboot-crash.patch
+ shim-fix-openssl-flags.patch
+ shim-fix-fallback-double-free.patch
+ shim-fallback-workaround-masked-ami-variables.patch
- Remove the stderr mask while compiling MokManager.efi since the
warnings in Cryptlib were fixed.
- Add shim-arch-independent-names.patch to use the Arch-independent
names. (bsc#1054712)
- Refresh shim-change-debug-file-path.patch
- Disable shim-opensuse-cert-prompt.patch automatically in SLE
- Diable AArch64 until we have a real user and aarch64 signature
- Make build reproducible by avoiding race between find and cp
- Update to 12
- Rename the result EFI images due to the upstream name change
+ shimx64 -> shim
+ mmx64 -> MokManager
+ fbx64 -> fallback
- Refresh patches:
+ shim-only-os-name.patch
+ shim-change-debug-file-path.patch
+ shim-opensuse-cert-prompt.patch
- Drop upstreamed patches:
+ shim-httpboot-support.patch
+ shim-bsc973496-mokmanager-no-append-write.patch
+ shim-bsc991885-fix-sig-length.patch
+ shim-update-openssl-1.0.2g.patch
+ shim-update-openssl-1.0.2h.patch
- Add the build flag to enable HTTPBoot
- shim-install: add option --suse-enable-tpm (fate#315831)
- Support %posttrans with marcos provided by update-bootloader-rpm-macros
package (bsc#997317)
- Add SIGNATURE_UPDATE.txt to state the steps to update
signature-*.asc
- Update the comment of strip_signature.sh
- shim-install :
* add option --no-nvram (bsc#999818)
* improve removable media and fallback mode handling
- shim-install : fix regression of password prompt (bsc#993764)
- Add shim-bsc991885-fix-sig-length.patch to fix the signature
length passed to Authenticode (bsc#991885)
- Update shim-bsc973496-mokmanager-no-append-write.patch to try
append write first
- Add shim-update-openssl-1.0.2h.patch to update openssl to 1.0.2h
- Bump the requirement of gnu-efi due to the HTTPBoot support
- Add shim-httpboot-support.patch to support HTTPBoot
- Add shim-update-openssl-1.0.2g.patch to update openssl to 1.0.2g
and Cryptlib to 5e2318dd37a51948aaf845c7d920b11f47cdcfe6
- Drop patches since they are merged into
shim-update-openssl-1.0.2g.patch
+ shim-update-openssl-1.0.2d.patch
+ shim-gcc5.patch
+ shim-bsc950569-fix-cryptlib-va-functions.patch
+ shim-fix-aarch64.patch
- Refresh shim-change-debug-file-path.patch
- Add shim-bsc973496-mokmanager-no-append-write.patch to work
around the firmware that doesn't support APPEND_WRITE (bsc973496)
- shim-install : remove '\n' from the help message (bsc#991188)
- shim-install : print a message if there is no valid EFI partition
(bsc#991187)
- shim-install : support simple MD RAID1 target devices (FATE#314829)
- Add shim-fix-aarch64.patch to fix compilation on AArch64 (bsc#978438)
- shim-install : fix typing ESC can escape to parent config which is
in command mode and cannot return back (bsc#966701)
- shim-install : fix no which command for JeOS (bsc#968264)
- acquired updated signature from Microsoft
- Add shim-bsc950569-fix-cryptlib-va-functions.patch to fix the
definition of va functions to avoid the potential crash
(bsc#950569)
- Update shim-opensuse-cert-prompt.patch to avoid setting NULL to
MokListRT (bsc#950801)
- Drop shim-fix-mokmanager-sections.patch as we are using the
newer binutils now
- Refresh shim-change-debug-file-path.patch
- acquired updated signature from Microsoft
- shim-install : set default GRUB_DISTRIBUTOR from /etc/os-release
if it is empty or not set by user (bsc#942519)
- Add shim-update-openssl-1.0.2d.patch to update openssl to 1.0.2d
- Refresh shim-gcc5.patch and add it back since we really need it
- Add shim-change-debug-file-path.patch to change the debug file
path in shim.efi
+ also add the debuginfo and debugsource subpackages
- Drop shim-fix-gnu-efi-30w.patch which is not necessary anymore
- Update to 0.9
- Refresh patches
+ shim-fix-gnu-efi-30w.patch
+ shim-fix-mokmanager-sections.patch
+ shim-opensuse-cert-prompt.patch
- Drop upstreamed patches
+ shim-bsc920515-fix-fallback-buffer-length.patch
+ shim-mokx-support.patch
+ shim-update-cryptlib.patch
- Drop shim-bsc919675-uninstall-shim-protocols.patch since
upstream fixed the bug in another way.
- Drop shim-gcc5.patch which was fixed in another way
- Fix tags in the spec file
- Add shim-update-cryptlib.patch to update Cryptlib to r16559 and
openssl to 0.9.8zf
- Add shim-bsc919675-uninstall-shim-protocols.patch to uninstall
the shim protocols at Exit (bsc#919675)
- Add shim-bsc920515-fix-fallback-buffer-length.patch to adjust
the buffer size for the boot options (bsc#920515)
- Refresh shim-opensuse-cert-prompt.patch
- shim-gcc5.patch: shim needs -std=gnu89 to build with GCC5
- shim-install : fix cryptodisk installation (boo#917427)
- Add shim-fix-mokmanager-sections.patch to fix the objcopy
parameters for the EFI files
- Update to 0.8
- Add shim-fix-gnu-efi-30w.patch to adapt the change in
gnu-efi-3.0w
- Merge shim-signed-unsigned-compares.patch,
shim-mokmanager-support-sha-family.patch and
shim-bnc863205-mokmanager-fix-hash-delete.patch into
shim-mokx-support.patch
- Refresh shim-opensuse-cert-prompt.patch
- Drop upstreamed patches: shim-update-openssl-0.9.8zb.patch,
bug-889332_shim-overflow.patch, and bug-889332_shim-mok-oob.patch
- Enable aarch64
- Fixed buffer overflow and OOB access in shim trusted code path
(bnc#889332, CVE-2014-3675, CVE-2014-3676, CVE-2014-3677)
* added bug-889332_shim-mok-oob.patch, bug-889332_shim-overflow.patch
- Added new certificate by Microsoft
- re-introduce build failure if shim_enforce_ms_signature is defined. That way
a project like openSUSE:Factory can decide whether or not shim needs a valid
MS signature.
- Add shim-update-openssl-0.9.8zb.patch to update openssl to
0.9.8zb
- updated shim to new version (OpenSSL 0.9.8za) and requested a new
certificate from Microsoft. Removed
* shim-allow-fallback-use-system-loadimage.patch
* shim-bnc872503-check-key-encoding.patch
* shim-bnc877003-fetch-from-the-same-device.patch
* shim-correct-user_insecure-usage.patch
* shim-fallback-avoid-duplicate-bootorder.patch
* shim-fallback-improve-entries-creation.patch
* shim-fix-dhcpv4-path-generation.patch
* shim-fix-uninitialized-variable.patch
* shim-fix-verify-mok.patch
* shim-get-variable-check.patch
* shim-improve-error-messages.patch
* shim-mokmanager-delete-bs-var-right.patch
* shim-mokmanager-handle-keystroke-error.patch
* shim-remove-unused-variables.patch
since they're included in upstream and rebased the remaining onces.
Added shim-signed-unsigned-compares.patch to fix some compiler
warnings
- Keep shim-devel.efi for the devel project
- don't fail the build if the UEFI signing service signature can't
be attached anymore. This way shim can still pass through staging
projects. We will verify the correct signature for release builds
using openQA instead.
- shim-install: fix GRUB shows broken letters at boot by calling
grub2-install to initialize /boot/grub2 directory with files
needed by grub.cfg (bnc#889765)
- Add shim-remove-unused-variables.patch to remove the unused
variables
- Add shim-bnc872503-check-key-encoding.patch to check the encoding
of the keys (bnc#872503)
- Add shim-bnc877003-fetch-from-the-same-device.patch to fetch the
netboot image from the same device (bnc#877003)
- Refresh shim-opensuse-cert-prompt.patch
- Use --reinit instead of --refresh in %post to update the files
in /boot
- shim-install: fix boot partition and rollback support kluge
(bnc#875385)
- Replace shim-mokmanager-support-sha1.patch with
shim-mokmanager-support-sha-family.patch to support the SHA
family
- Add shim-mokmanager-support-sha1.patch to support SHA1 hashes in
MOK
- snapper rollback support (fate#317062)
- refresh shim-install
- Insert the right signature (bnc#867974)
- Add shim-fix-uninitialized-variable.patch to fix the use of
uninitialzed variables in lib
- Add shim-mokmanager-delete-bs-var-right.patch to delete the BS+NV
variables the right way
- Update shim-opensuse-cert-prompt.patch to delete openSUSE_Verify
correctly
- Add shim-fallback-avoid-duplicate-bootorder.patch to fix the
duplicate entries in BootOrder
- Add shim-allow-fallback-use-system-loadimage.patch to handle the
shim protocol properly to keep only one protocol entity
- Refresh shim-opensuse-cert-prompt.patch
- shim-install: fix the $prefix to use grub2-mkrelpath for paths
on btrfs subvolume (bnc#866690).
- FATE#315002: Update shim-install to install shim.efi as the EFI
default bootloader when none exists in \EFI\boot.
- Update signature-sles.asc: shim signed by UEFI signing service,
based on code from "Thu Feb 20 11:57:01 UTC 2014"
- Add shim-opensuse-cert-prompt.patch to show the prompt to ask
whether the user trusts the openSUSE certificate or not
- allow package to carry multiple signatures
- check correct certificate is embedded
- always clean up generated files that embed certificates
(shim_cert.h shim.cer shim.crt) to make sure next build loop
rebuilds them properly
- Add shim-bnc863205-mokmanager-fix-hash-delete.patch to fix the
hash deletion operation to avoid ruining the whole list
(bnc#863205)
- Update shim-mokx-support.patch to support the resetting of MOK
blacklist
- Add shim-get-variable-check.patch to fix the variable checking
in get_variable_attr
- Add shim-fallback-improve-entries-creation.patch to improve the
boot entry pathes and avoid generating the boot entries that
are already there
- Update SUSE certificate
- Update attach_signature.sh, show_hash.sh, strip_signature.sh,
extract_signature.sh and show_signatures.sh to remove the
creation of the temporary nss database
- Add shim-only-os-name.patch: remove the kernel version of the
build server
- Match the the prefix of the project name properly by escaping the
percent sign.
- enable signature assertion also in SUSE: hierarchy
- Add shim-mokmanager-handle-keystroke-error.patch to handle the
error status from ReadKeyStroke to avoid unexpected keys
- Update to 0.7
- Add upstream patches:
+ shim-fix-verify-mok.patch
+ shim-improve-error-messages.patch
+ shim-correct-user_insecure-usage.patch
+ shim-fix-dhcpv4-path-generation.patch
- Add shim-mokx-support.patch to support the MOK blacklist
(Fate#316531)
- Drop upstreamed patches
+ shim-fix-pointer-casting.patch
+ shim-merge-lf-loader-code.patch
+ shim-fix-simple-file-selector.patch
+ shim-mokmanager-support-crypt-hash-method.patch
+ shim-bnc804631-fix-broken-bootpath.patch
+ shim-bnc798043-no-doulbe-separators.patch
+ shim-bnc807760-change-pxe-2nd-loader-name.patch
+ shim-bnc808106-correct-certcount.patch
+ shim-mokmanager-ui-revamp.patch
+ shim-netboot-fixes.patch
+ shim-mokmanager-disable-gfx-console.patch
- Drop shim-suse-build.patch: it's not necessary anymore
- Drop shim-bnc841426-silence-shim-protocols.patch: shim is not
verbose by default
- Update microsoft.asc: shim signed by UEFI signing service, based
on code from "Tue Oct 1 04:29:29 UTC 2013".
- Add shim-netboot-fixes.patch to include upstream netboot fixes
- Add shim-mokmanager-disable-gfx-console.patch to disable the
graphics console to avoid system hang on some machines
- Add shim-bnc841426-silence-shim-protocols.patch to silence the
shim protocols (bnc#841426)
- Create boot.csv in ESP for fallback.efi to restore the boot entry
- Update microsoft.asc: shim signed by UEFI signing service, based
on code from "Fri Sep 6 13:57:36 UTC 2013".
- Improve extract_signature.sh to work on current path.
- set timestamp of PE file to time of the binary the signature was
made for.
- make sure cert.o get's rebuilt for each target
- Update microsoft.asc: shim signed by UEFI signing service, based
on code from "Wed Aug 28 15:54:38 UTC 2013"
- always build a shim that embeds the distro's certificate (e.g.
shim-opensuse.efi). If the package is built in the devel project
additionally shim-devel.efi is created. That allows us to either
load grub2/kernel signed by the distro or signed by the devel
project, depending on use case. Also shim-$distro.efi from the
devel project can be used to request additional signatures.
- also include old openSUSE 4096 bit certificate to be able to still
boot kernels signed with that key.
- add show_signatures script
- replace the 4096 bit openSUSE UEFI CA certificate with new a
standard compliant 2048 bit one.
- fix shell syntax error
- don't include binary in the sources. Instead package the raw
signature and attach it during build (bnc#813448).
- Update shim-mokmanager-ui-revamp.patch to include fixes for
MokManager
+ reboot the system after clearing MOK password
+ fetch more info from X509 name
+ check the suffix of the key file
- Update to 0.4
- Rebase patches
+ shim-suse-build.patch
+ shim-mokmanager-support-crypt-hash-method.patch
+ shim-bnc804631-fix-broken-bootpath.patch
+ shim-bnc798043-no-doulbe-separators.patch
+ shim-bnc807760-change-pxe-2nd-loader-name.patch
+ shim-bnc808106-correct-certcount.patch
+ shim-mokmanager-ui-revamp.patch
- Add patches
+ shim-merge-lf-loader-code.patch: merge the Linux Foundation
loader UI code
+ shim-fix-pointer-casting.patch: fix a casting issue and the
size of an empty vendor cert
+ shim-fix-simple-file-selector.patch: fix the buffer allocation
in the simple file selector
- Remove upstreamed patches
+ shim-support-mok-delete.patch
+ shim-reboot-after-changes.patch
+ shim-clear-queued-key.patch
+ shim-local-key-sign-mokmanager.patch
+ shim-get-2nd-stage-loader.patch
+ shim-fix-loadoptions.patch
- Remove unused patch: shim-mokmanager-new-pw-hash.patch and
shim-keep-unsigned-mokmanager.patch
- Install the vendor certificate to /etc/uefi/certs
- Add shim-mokmanager-ui-revamp.patch to update the MokManager UI
- Call update-bootloader in %post to update *.efi in \efi\opensuse
(bnc#813079)
- Add shim-bnc807760-change-pxe-2nd-loader-name.patch to change the
PXE 2nd stage loader name (bnc#807760)
- Add shim-bnc808106-correct-certcount.patch to correct the
certificate count of the signature list (bnc#808106)
- Add shim-bnc798043-no-doulbe-separators.patch to remove double
seperators from the bootpath (bnc#798043#c4)
- sign shim also with openSUSE certificate
- identify project, export certificate as DER file
- don't create an unused extra keypair
- Add shim-bnc804631-fix-broken-bootpath.patch to fix the broken
bootpath generated in generate_path(). (bnc#804631)
- Update with shim signed by UEFI signing service, based on code
from "Thu Feb 7 06:56:19 UTC 2013".
- prepare for having a signed shim from the UEFI signing service
- Sign shim-opensuse.efi and MokManager.efi with the openSUSE cert
- Add shim-keep-unsigned-mokmanager.patch to keep the unsigned
MokManager and sign it later.
- Add shim-install utility
- Add Recommends to grub2-efi
- Add shim-mokmanager-support-crypt-hash-method.patch to support
password hash from /etc/shadow (FATE#314506)
- Embed openSUSE-UEFI-CA-Certificate.crt in shim
- Rename shim-unsigned.efi to shim-opensuse.efi.
- Update shim-mokmanager-new-pw-hash.patch to extend the password
hash format
- Rename shim.efi as shim-unsigned.efi
- Merge patches for FATE#314506
+ Add shim-support-mok-delete.patch to add support for deleting
specific keys
+ Add shim-mokmanager-new-pw-hash.patch to support the new
password hash.
- Drop shim-correct-mok-size.patch which is included in
shim-support-mok-delete.patch
- Merge shim-remove-debug-code.patch and
shim-local-sign-mokmanager.patch into
shim-local-key-sign-mokmanager.patch
- Install COPYRIGHT
- Add shim-fix-loadoptions.patch to adopt the UEFI shell style
LoadOptions (bnc#798043)
- Drop shim-check-pk-kek.patch since upstream rejected the patch
due to violation of SPEC.
- Install EFI binaries to /usr/lib64/efi
- Update shim-reboot-after-changes.patch to avoid rebooting the
system after enrolling keys/hashes from the file system
- Add shim-correct-mok-size.patch to correct the size of MOK
- Add shim-clear-queued-key.patch to clear the queued key and show
the menu properly
- Remove shim-rpmlintrc, it wasn't fixing the error, hide error
stdout to prevent post build check to get triggered by cast
warnings in openSSL code
- Add shim-remove-debug-code.patch: remove debug code
- Add shim-rpmlintrc to filter 64bit portability errors
- Add shim-local-sign-mokmanager.patch to create a local certicate
to sign MokManager
- Add shim-get-2nd-stage-loader.patch to get the second stage
loader path from the load options
- Add shim-check-pk-kek.patch to verify EFI images with PK and KEK
- Add shim-reboot-after-changes.patch to reboot the system after
enrolling or erasing keys
- Install the EFI images to /usr/lib64/shim instead of the EFI
partition
- Update the mail address of the author
- Add new package shim 0.2 (FATE#314484)
+ It's in fact git 2fd180a92 since there is no tag for 0.2

==== sushi ====
Version update (3.24.0 -> 3.28.3)
Subpackages: sushi-lang

- Update to version 3.28.3:
+ Fix another LibreOffice to PDF conversion regression (hopefully
for good this time).
- Update to version 3.28.2:
+ Fix another LibreOffice to PDF conversion regression.
- Changes from version 3.28.1:
+ Fix LibreOffice to PDF conversion regression.
+ Add support for docx/pptx/xlsx MIME types.
- Changes from version 3.28.0:
+ Add support for GIF animations.
+ Use LibreOffice directly instead of unoconv.
+ Prefer LibreOffice from flatpak when installed.
- Drop unoconv BuildRequires and Recommends, following upstream
changes.
- Replace gobject-introspection-devel with
pkgconfig(gobject-introspection-1.0) BuildRequires.
- Drop no longer needed post(un) handling of
glib2_gsettings_schema_post(un) and
glib2_gsettings_schema_requires macro.

==== system-config-printer ====
Subpackages: python3-cupshelpers system-config-printer-applet
system-config-printer-common system-config-printer-common-lang
system-config-printer-dbus-service udev-configure-printer

- Add system-config-printer-no-simple-gui.patch: Remove _simple_gui
class from openprinting.py: this class pulls in a GTK stack, but
then is actually never used (boo#1090189).
- Modernize spec-file by calling spec-cleaner


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages